'use strict';

var index = require('./index-DnF1G--N.js');
var dataTestIds_enum = require('./dataTestIds.enum-B6DL3zPm.js');
var EventBus = require('./EventBus-Dq4GLNJp.js');
var index$1 = require('./index-Cws2ei2C.js');
require('./_commonjsHelpers-MBWFX2dn.js');

const BackArrowIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("svg", { key: '27e07dc49284812aa0566b1894b12cf68856d4e6', xmlns: "http://www.w3.org/2000/svg", width: "20", height: "20", fill: "none", viewBox: "0 0 22 20" }, index.h("path", { key: '42395d225c2ce3a44e609a142e006afc8c18cc4b', fill: "#a3a3a3", d: "M0.6875 9.48438L8.9375 1.23438C9.21875 0.953125 9.73438 0.953125 10.0156 1.23438C10.2969 1.51562 10.2969 2.03125 10.0156 2.3125L3.03125 9.25H20.75C21.125 9.25 21.5 9.625 21.5 10C21.5 10.4219 21.125 10.75 20.75 10.75H3.03125L10.0156 17.7344C10.2969 18.0156 10.2969 18.5312 10.0156 18.8125C9.73438 19.0938 9.21875 19.0938 8.9375 18.8125L0.6875 10.5625C0.40625 10.2812 0.40625 9.76562 0.6875 9.48438Z" })));
    }
};

const CloseIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("svg", { key: '236343a886e76fad655b80a8088838a7324a0a39', xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16 16", fill: "none", width: "16", height: "16" }, index.h("path", { key: 'b4c81220b63266b8c703c7f7f4326c1435fbf298', fill: "#a3a3a3", d: "M14.1875 15.3125L8 9.07812L1.76562 15.3125C1.48438 15.5938 1.01562 15.5938 0.6875 15.3125C0.40625 14.9844 0.40625 14.5156 0.6875 14.2344L6.92188 8L0.6875 1.8125C0.40625 1.53125 0.40625 1.0625 0.6875 0.734375C1.01562 0.453125 1.48438 0.453125 1.76562 0.734375L8 6.96875L14.1875 0.734375C14.4688 0.453125 14.9375 0.453125 15.2656 0.734375C15.5469 1.0625 15.5469 1.53125 15.2656 1.8125L9.03125 8L15.2656 14.2344C15.5469 14.5156 15.5469 14.9844 15.2656 15.3125C14.9375 15.5938 14.4688 15.5938 14.1875 15.3125Z" })));
    }
};

// types here need to be synced with the types in sdk-dapp-core pendingTransactions.types.ts
var PendingTransactionsEventsEnum;
(function (PendingTransactionsEventsEnum) {
    PendingTransactionsEventsEnum["CLOSE_PENDING_TRANSACTIONS"] = "CLOSE_PENDING_TRANSACTIONS";
    PendingTransactionsEventsEnum["OPEN_PENDING_TRANSACTIONS_PANEL"] = "OPEN_PENDING_TRANSACTIONS_PANEL";
    PendingTransactionsEventsEnum["DATA_UPDATE"] = "DATA_UPDATE";
})(PendingTransactionsEventsEnum || (PendingTransactionsEventsEnum = {}));

const pendingTransactionsPanelCss = ".modal-body{display:flex;justify-content:center;align-items:center;padding:16px}.close-button{cursor:pointer;color:#ffff;background-color:#343a40;border-color:#343a40;border-radius:0.25rem;padding:0.375rem 0.75rem;border:1px solid rgba(0, 0, 0, 0)}.pending-transactions-panel{width:450px;max-width:100%;padding:0;background-color:#ffffff;box-shadow:0 4px 12px rgba(0, 0, 0, 0.15)}.pending-transactions-content{display:flex;flex-direction:column;height:100%;padding:24px}.pending-transactions-header{margin-bottom:24px;border-bottom:1px solid rgba(0, 0, 0, 0.1);padding-bottom:16px}.pending-transactions-header h2{font-size:20px;font-weight:600;margin-bottom:8px}.pending-transactions-header h4{font-size:14px;font-weight:400;color:rgba(0, 0, 0, 0.6)}.pending-transactions-body{display:flex;justify-content:center;align-items:center;flex:1;padding:16px}";

const PendingTransactionstPanel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.eventBus = new EventBus.EventBus();
        this.isOpen = false;
        this.data = {
            isPending: false,
            title: '',
            subtitle: '',
        };
    }
    componentDidLoad() {
        this.eventBus.subscribe(PendingTransactionsEventsEnum.DATA_UPDATE, this.dataUpdate.bind(this));
        this.eventBus.subscribe(PendingTransactionsEventsEnum.OPEN_PENDING_TRANSACTIONS_PANEL, this.handleOpen.bind(this));
        this.eventBus.subscribe(PendingTransactionsEventsEnum.CLOSE_PENDING_TRANSACTIONS, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        this.eventBus.unsubscribe(PendingTransactionsEventsEnum.DATA_UPDATE, this.dataUpdate.bind(this));
        this.eventBus.unsubscribe(PendingTransactionsEventsEnum.OPEN_PENDING_TRANSACTIONS_PANEL, this.handleOpen.bind(this));
        this.eventBus.unsubscribe(PendingTransactionsEventsEnum.CLOSE_PENDING_TRANSACTIONS, this.onClose.bind(this, { isUserClick: false }));
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        if (props.isUserClick) {
            this.eventBus.publish(PendingTransactionsEventsEnum.CLOSE_PENDING_TRANSACTIONS);
        }
    }
    dataUpdate(payload) {
        if (payload.shouldClose) {
            return this.onClose({ isUserClick: false });
        }
        this.isOpen = true;
        this.data = Object.assign({}, payload);
        index.forceUpdate(this);
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        return (index.h("mvx-side-panel", { key: '42a4bc2bd3b57507d52ef4550ed15dea00609d68', isOpen: this.isOpen, panelClassName: "pending-transactions-panel", onClose: this.handleClose.bind(this) }, index.h("div", { key: '2c9bb3f18832c12dbe46599a3d950e7a0eccef59', class: "pending-transactions-content" }, index.h("div", { key: '60afbf307622f1a356e81cd3d44e168f4f141a08', class: "pending-transactions-header" }, index.h("h2", { key: '931b2fbe92106000a890f17b400171c3ba6841b8', "data-testid": dataTestIds_enum.DataTestIdsEnum.pendingTransactionsTitle }, this.data.title), index.h("h4", { key: '4d456d9e0c69a670f78669678e5f50140829ccde', "data-testid": dataTestIds_enum.DataTestIdsEnum.pendingTransactionsSubtitle }, this.data.subtitle)), index.h("div", { key: 'e36fdf0d85803beeca9e2a6f797e91d8306d4bd5', class: "pending-transactions-body" }, index.h("button", { key: '821b4b9e1f1ef2b19c8af9b413e2dc2bd9eab72c', class: "close-button", onClick: this.handleClose.bind(this) }, "Close")))));
    }
};
PendingTransactionstPanel.style = pendingTransactionsPanelCss;

const sidePanelScss = ".side-panel-wrapper {\n  position: fixed;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n  display: flex;\n  padding: 16px;\n  pointer-events: none;\n  z-index: 10000;\n  justify-content: flex-end;\n  align-items: center;\n\n  &:before {\n    background: rgba(23, 23, 23, 0.9);\n    content: '';\n    pointer-events: none;\n    position: absolute;\n    left: 0;\n    right: 0;\n    top: 0;\n    bottom: 0;\n    transition: all 200ms ease;\n    opacity: 0;\n\n    @supports ((-webkit-backdrop-filter: none) or (backdrop-filter: none)) {\n      background: rgba(23, 23, 23, 0.5);\n      -webkit-backdrop-filter: blur(0.375rem);\n      backdrop-filter: blur(0.375rem);\n    }\n  }\n\n  &.visible {\n    pointer-events: auto;\n    visibility: visible;\n\n    &:before {\n      opacity: 0.9;\n    }\n  }\n\n  .side-panel {\n    transform: translateX(calc(100% + 48px));\n    border-radius: 20px;\n    padding: 24px;\n    width: calc(400px + 40px);\n    height: calc(100% - 48px);\n    transition: all 200ms ease;\n    backdrop-filter: blur(8px);\n    overflow: hidden;\n    display: flex;\n    flex-direction: column;\n    border: 1px solid #404040;\n    background: linear-gradient(167deg, rgba(62, 62, 62, 0.2) 7.09%, rgba(62, 62, 62, 0) 55.03%), rgba(11, 11, 11, 0.8);\n    box-shadow:\n      0px 431px 121px 0px rgba(0, 0, 0, 0),\n      0px 276px 110px 0px rgba(0, 0, 0, 0.02),\n      0px 155px 93px 0px rgba(0, 0, 0, 0.07),\n      0px 69px 69px 0px rgba(0, 0, 0, 0.11),\n      0px 17px 38px 0px rgba(0, 0, 0, 0.13);\n\n    &.visible {\n      transform: translateX(0);\n    }\n  }\n\n  .side-panel-heading {\n    display: flex;\n    align-items: center;\n    line-height: 1;\n    font-size: 24px;\n    gap: 12px;\n    margin-bottom: 24px;\n\n    .side-panel-heading-back {\n      cursor: pointer;\n      transition: all 200ms ease;\n\n      &:hover {\n        opacity: 0.75;\n      }\n    }\n\n    .side-panel-heading-title {\n      color: #e5e5e5;\n      font-weight: 500;\n      font-family: 'Inter', sans-serif;\n    }\n\n    .side-panel-heading-close {\n      transition: all 200ms ease;\n      cursor: pointer;\n      margin-left: auto;\n\n      &:hover {\n        opacity: 0.75;\n      }\n    }\n  }\n\n  .side-panel-content {\n    flex: 1;\n    overflow-y: auto;\n  }\n}\n";

const SidePanel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.close = index.createEvent(this, "close");
        this.back = index.createEvent(this, "back");
        this.isOpen = false;
        this.isVisible = false;
        this.shouldAnimate = false;
        this.closeTimeout = null;
        this.ANIMATION_DURATION_MS = 300;
    }
    handleOpenChange(newValue) {
        if (newValue) {
            clearTimeout(this.closeTimeout);
            this.isVisible = true;
            requestAnimationFrame(() => {
                this.shouldAnimate = true;
            });
            return;
        }
        this.shouldAnimate = false;
        this.closeTimeout = setTimeout(() => {
            this.isVisible = false;
        }, this.ANIMATION_DURATION_MS);
    }
    disconnectedCallback() {
        clearTimeout(this.closeTimeout);
    }
    handleOverlayClick(event) {
        if (event.target === event.currentTarget) {
            this.close.emit();
        }
    }
    handleCloseClick(event) {
        event.preventDefault();
        this.close.emit();
    }
    handleBackClick(event) {
        event.preventDefault();
        this.back.emit();
    }
    render() {
        if (!this.isVisible) {
            return null;
        }
        return (index.h("div", { onClick: this.handleOverlayClick, class: index$1.classNames('side-panel-wrapper', {
                visible: this.shouldAnimate,
            }) }, index.h("div", { class: index$1.classNames('side-panel', { visible: this.shouldAnimate }, this.panelClassName) }, index.h("div", { class: "side-panel-heading" }, this.withBackButton && index.h("mvx-back-arrow-icon", { onClick: this.handleBackClick.bind(this), class: "side-panel-heading-back" }), index.h("div", { class: "side-panel-heading-title" }, this.panelTitle), index.h("mvx-close-icon", { class: "side-panel-heading-close", onClick: this.handleCloseClick.bind(this) })), index.h("div", { class: "side-panel-content" }, index.h("slot", null)))));
    }
    static get watchers() { return {
        "isOpen": ["handleOpenChange"]
    }; }
};
SidePanel.style = sidePanelScss;

exports.mvx_back_arrow_icon = BackArrowIcon;
exports.mvx_close_icon = CloseIcon;
exports.mvx_pending_transactions_panel = PendingTransactionstPanel;
exports.mvx_side_panel = SidePanel;
//# sourceMappingURL=mvx-back-arrow-icon.mvx-close-icon.mvx-pending-transactions-panel.mvx-side-panel.entry.cjs.js.map

//# sourceMappingURL=mvx-back-arrow-icon_4.cjs.entry.js.map