'use strict';

var index = require('./index-DnF1G--N.js');
var index$1 = require('./index-B-Dw-4Qa.js');
var dataTestIds_enum = require('./dataTestIds.enum-B6DL3zPm.js');
var getIconHtmlFromIconDefinition = require('./getIconHtmlFromIconDefinition-CcxaDUjV.js');
var index$2 = require('./index-Cws2ei2C.js');
var getIconHtmlFromIconName = require('./getIconHtmlFromIconName-C81SQtii.js');
require('./_commonjsHelpers-MBWFX2dn.js');

const customToastCss = ".toast-wrapper{position:relative;display:flex;width:315px;padding:12px;flex-direction:column;align-items:flex-start;gap:12px;border-radius:12px;border:0.5px solid var(--mx-tx-bg);background:var(--mx-tx-bg);backdrop-filter:blur(38px)}.icon-close{color:var(--mx-tx-text-primary);display:flex;width:20px;height:20px;flex-direction:column;justify-content:center;flex-shrink:0;background:none;border:none;padding:0;cursor:pointer;position:absolute;right:12px;top:12px}.icon-close .svg-inline--fa{color:var(--mx-tx-text-primary);text-align:center}.toast-body{display:flex;align-items:flex-start;gap:12px;align-self:stretch;width:100%}";

const CustomToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.deleteToast = index.createEvent(this, "deleteToast");
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        return (index.h("div", { key: 'd512bd63085cc5b496ecf0a996d980896e0101b4', class: "toast-wrapper", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastContent }, index.h("button", { key: 'bf0f14fe596dbff8f0cdc630a7c3505d2d1f2d7f', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition.getIconHtmlFromIconDefinition(index$1.faTimes) }), index.h("div", { key: '730778bc35fe75f063fa43e536b5b8e6a1344ff2', class: "toast-body", ref: container => this.initializeToast(container) })));
    }
    initializeToast(container) {
        if (!container || container.hasChildNodes()) {
            return;
        }
        const customElement = this.toast.instantiateToastElement();
        if (!customElement) {
            return;
        }
        container.appendChild(customElement);
    }
};
CustomToast.style = customToastCss;

const simpleToastCss = ".content{position:relative;display:flex;width:315px;padding:12px;flex-direction:column;align-items:flex-start;gap:12px;border-radius:12px;border:0.5px solid var(--mx-tx-bg);background:var(--mx-tx-bg);backdrop-filter:blur(38px)}.content-left{display:flex;align-items:flex-start;gap:12px;align-self:stretch}.content-icon{border-radius:50%;width:20px;display:flex;align-items:center;justify-content:center;height:20px}.content-icon svg,.content-icon img,.content-icon .fa-icon .svg-inline--fa{width:16px;height:16px}.content-icon.success{color:var(--mx-toast-success-color);background:var(--mx-toast-success-bg)}.content-icon.warning{color:var(--mx-toast-pending-color);background:var(--mx-toast-pending-bg)}.content-icon.danger{color:var(--mx-toast-error-color);background:var(--mx-toast-error-bg)}.content-right{display:flex;flex-direction:column;align-items:flex-start;gap:4px;flex:1 0 0}.content-heading{display:flex;align-items:center;gap:12px;align-self:stretch;justify-content:space-between;line-height:16px}.content-heading-title{color:var(--mx-tx-text-primary);font-family:var(--font-family-roobert);font-size:16px;font-style:normal;font-weight:700;margin:0}.icon-close{color:var(--mx-tx-text-primary);display:flex;width:20px;height:20px;flex-direction:column;justify-content:center;flex-shrink:0;background:none;border:none;padding:0;cursor:pointer}.icon-close .svg-inline--fa{color:var(--mx-tx-text-primary);text-align:center}.subtitle{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:14px;font-style:normal;font-weight:400;line-height:14px;letter-spacing:-0.14px}.content-message{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:14px;font-style:normal;font-weight:400;line-height:16px;letter-spacing:-0.14px}.content-message.no-margin{margin-top:0}";

const SimpleToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.deleteToast = index.createEvent(this, "deleteToast");
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderIcon() {
        const { icon, iconClassName } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName.getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        if (!iconHtml) {
            return null;
        }
        return (index.h("div", { class: {
                'content-icon': true,
                [iconClassName]: Boolean(iconClassName),
            }, innerHTML: iconHtml }));
    }
    render() {
        const { title, message, subtitle } = this.toast;
        return (index.h("div", { key: 'fa6649674718b03d313fdab9f77bfc7a578450fc', class: "content", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastContent, id: `toast-${this.toast.toastId}` }, index.h("div", { key: '8f1f5003b493ad830855e25d7c9da31ffe0289ae', class: "content-left" }, this.renderIcon(), index.h("div", { key: 'a63341f3d948084a1aedeb1460a9949516408e4c', class: "content-right" }, index.h("div", { key: '69695c1b79d63ae839b46f57be0a2966123a4d83', class: "content-heading" }, title && (index.h("h5", { key: '297e2d26ecd56680ae7a1238e01675a7daa5465c', class: "content-heading-title", "data-testid": dataTestIds_enum.DataTestIdsEnum.transactionToastTitle }, title)), index.h("button", { key: 'bfab7fad297891e924a48ae70ac976ad5de4ce76', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition.getIconHtmlFromIconDefinition(index$1.faTimes) })), subtitle && index.h("div", { key: 'a695525038d564ac98d39bd0de0a08bb55b9b271', class: "subtitle" }, subtitle), message && index.h("div", { key: '4ebd0995bf446eda74e010646155edbc2f76451b', class: index$2.classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
};
SimpleToast.style = simpleToastCss;

exports.mvx_custom_toast = CustomToast;
exports.mvx_simple_toast = SimpleToast;
//# sourceMappingURL=mvx-custom-toast.mvx-simple-toast.entry.cjs.js.map

//# sourceMappingURL=mvx-custom-toast_2.cjs.entry.js.map