'use strict';

var index = require('./index-DnF1G--N.js');
var signTransactionsPanelStore = require('./signTransactionsPanelStore-BO_c11Oi.js');

// types here need to be synced with the types in sdk-dapp-core tokens.types.ts
var EsdtEnumType;
(function (EsdtEnumType) {
    EsdtEnumType["FungibleESDT"] = "FungibleESDT";
})(EsdtEnumType || (EsdtEnumType = {}));
var NftEnumType;
(function (NftEnumType) {
    NftEnumType["NonFungibleESDT"] = "NonFungibleESDT";
    NftEnumType["SemiFungibleESDT"] = "SemiFungibleESDT";
    NftEnumType["MetaESDT"] = "MetaESDT";
})(NftEnumType || (NftEnumType = {}));

const fungibleComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.fungible-container{display:flex;flex-direction:column}.fungible-inner-container{display:flex;justify-content:space-between;align-items:center;background-color:#f9f6ee;border-radius:8px;padding-right:8px}.fungible-img-container{display:flex;gap:1rem;align-items:flex-end}.fungible-img{width:64px;height:64px}.fungible-sft{color:#fed7aa;background-color:#171717;padding:4px 8px;text-transform:uppercase;border-radius:4px}";

const LABELS = {
    [NftEnumType.SemiFungibleESDT]: 'SFT',
    [NftEnumType.NonFungibleESDT]: 'NFT',
};
const FungibleComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { sftTransaction, nftTransaction, commonData } = signTransactionsPanelStore.state;
        const { tokenType } = commonData;
        const data = tokenType === NftEnumType.SemiFungibleESDT ? sftTransaction : nftTransaction;
        const { amount = '', identifier = '', imageURL = '' } = data || {};
        const label = LABELS[tokenType];
        return (index.h("mvx-sign-transaction-component", { key: '45cf672919e1e4682b173361ab5a65a294c68f3f', header: index.h("div", { class: "fungible-container" }, index.h("span", null, `You are sending ${amount} ${label}`), index.h("div", { class: "fungible-inner-container" }, index.h("div", { class: "fungible-img-container" }, index.h("img", { src: imageURL, alt: identifier, class: "fungible-img" }), index.h("div", null, index.h("span", null, identifier))), index.h("span", { class: "fungible-sft" }, label))) }));
    }
};
FungibleComponent.style = fungibleComponentCss;

exports.mvx_fungible_component = FungibleComponent;
//# sourceMappingURL=mvx-fungible-component.entry.cjs.js.map

//# sourceMappingURL=mvx-fungible-component.cjs.entry.js.map