'use strict';

var index = require('./index-DnF1G--N.js');
var provider_types = require('./provider.types-B1uz46a1.js');

const providerButtonScss = ".provider-button{display:flex}";

var ProviderButtonLabelsEnum;
(function (ProviderButtonLabelsEnum) {
    ProviderButtonLabelsEnum["extension"] = "MultiversX Wallet Extension";
    ProviderButtonLabelsEnum["metamask"] = "MetaMask Snap";
    ProviderButtonLabelsEnum["passkey"] = "Passkey";
    ProviderButtonLabelsEnum["xportal"] = "xPortal Wallet";
    ProviderButtonLabelsEnum["ledger"] = "Ledger";
    ProviderButtonLabelsEnum["wallet"] = "MultiversX Web Wallet";
    ProviderButtonLabelsEnum["xalias"] = "Google (xAlias)";
})(ProviderButtonLabelsEnum || (ProviderButtonLabelsEnum = {}));
const providerButtonInfo = {
    [provider_types.ProviderTypeEnum.extension]: {
        icon: index.h("mvx-extension-provider-icon", null),
        label: ProviderButtonLabelsEnum.extension,
    },
    [provider_types.ProviderTypeEnum.metamask]: {
        icon: index.h("mvx-metamask-provider-icon", null),
        label: ProviderButtonLabelsEnum.metamask,
    },
    [provider_types.ProviderTypeEnum.passkey]: {
        icon: index.h("mvx-passkey-provider-icon", null),
        label: ProviderButtonLabelsEnum.passkey,
    },
    [provider_types.ProviderTypeEnum.walletConnect]: {
        icon: index.h("mvx-multiversx-logo-icon", null),
        label: ProviderButtonLabelsEnum.xportal,
    },
    [provider_types.ProviderTypeEnum.ledger]: {
        icon: index.h("mvx-ledger-provider-icon", null),
        label: ProviderButtonLabelsEnum.ledger,
    },
    [provider_types.ProviderTypeEnum.crossWindow]: {
        icon: index.h("mvx-wallet-provider-icon", null),
        label: ProviderButtonLabelsEnum.wallet,
    },
    [provider_types.ProviderTypeEnum.xalias]: {
        icon: index.h("mvx-xalias-provider-icon", null),
        label: ProviderButtonLabelsEnum.xalias,
    },
};
const ProviderButton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const walletInfo = this.type ? providerButtonInfo[this.type] : null;
        if (!walletInfo) {
            return index.h(index.Fragment, null);
        }
        return index.h("mvx-unlock-button", { icon: walletInfo.icon, label: walletInfo.label, type: this.type, class: this.class });
    }
};
ProviderButton.style = providerButtonScss;

exports.mvx_provider_button = ProviderButton;
//# sourceMappingURL=mvx-provider-button.entry.cjs.js.map

//# sourceMappingURL=mvx-provider-button.cjs.entry.js.map