'use strict';

var index = require('./index-DnF1G--N.js');
var index$1 = require('./index-Cws2ei2C.js');
var dataTestIds_enum = require('./dataTestIds.enum-B6DL3zPm.js');
require('./_commonjsHelpers-MBWFX2dn.js');

const transactionsTableCss = ".transactions-table{width:100%;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb;overflow:auto;table-layout:auto}.transactions-table-header{background-color:#f9fafb}.transactions-table-header-cell{padding:0.75rem 1rem;text-align:left;font-size:0.75rem;line-height:1rem;font-weight:500;color:#6b7280;text-transform:uppercase;letter-spacing:0.05em;width:16.666667%}.transactions-table-body{background-color:#ffffff;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb}.transactions-table-body-row{color:rgb(107 114 128)}.transactions-table-body-cell{padding:0.5rem;width:max-content}.transactions-table-body-cell>*{width:max-content}";

const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
const TransactionsTable = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("table", { key: 'c1149181d6c852e101f37f1f3d3ef4810af0510b', class: index$1.classNames(this.class, 'transactions-table') }, index.h("thead", { key: '0ade6cec7095d1af43260de5ba304f281cf9d4f7', class: "transactions-table-header" }, index.h("tr", { key: '019a77cd55529e1860e217ad389cd3d71db566fa' }, COLUMNS.map(column => (index.h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), index.h("tbody", { key: '4a9cee610a5053bb75e17e67b2624cebf9091696', class: "transactions-table-body" }, this.transactions.map(transaction => (index.h("tr", { class: "transactions-table-body-row" }, index.h("td", { class: "transactions-table-body-cell" }, index.h("mvx-transaction-hash", { transaction: transaction })), index.h("td", { class: "transactions-table-body-cell" }, index.h("mvx-transaction-age", { age: transaction.age.timeAgo, tooltip: transaction.age.tooltip })), index.h("td", { class: "transactions-table-body-cell" }, index.h("mvx-transaction-shards", { transaction: transaction })), index.h("td", { class: "transactions-table-body-cell" }, index.h("mvx-transaction-account", { account: transaction.sender, dataTestId: dataTestIds_enum.DataTestIdsEnum.transactionSender, scope: "sender", showLockedAccounts: true })), index.h("td", { class: "transactions-table-body-cell" }, index.h("mvx-transaction-account", { account: transaction.receiver, dataTestId: dataTestIds_enum.DataTestIdsEnum.transactionReceiver, scope: "receiver", showLockedAccounts: true })), index.h("td", { class: "transactions-table-body-cell" }, index.h("mvx-transaction-method", { method: transaction.method.name, actionDescription: transaction.method.actionDescription })), index.h("td", { class: "transactions-table-body-cell" }, index.h("mvx-transaction-value", { value: transaction.value }))))))));
    }
};
TransactionsTable.style = transactionsTableCss;

exports.mvx_transactions_table = TransactionsTable;
//# sourceMappingURL=mvx-transactions-table.entry.cjs.js.map

//# sourceMappingURL=mvx-transactions-table.cjs.entry.js.map