'use strict';

var index = require('./index-DnF1G--N.js');
var index$1 = require('./index-Cws2ei2C.js');
var provider_types = require('./provider.types-B1uz46a1.js');
var getIsMetaMaskAvailable = require('./getIsMetaMaskAvailable-BqCE2tAJ.js');
require('./_commonjsHelpers-MBWFX2dn.js');

var _documentCurrentScript = typeof document !== 'undefined' ? document.currentScript : null;
const unlockPanelScss = ".unlock-panel {\n  display: flex;\n  flex-direction: column;\n\n  .unlock-panel-groups {\n    display: flex;\n    flex-direction: column;\n    gap: 16px;\n\n    .unlock-panel-group {\n      display: flex;\n      flex-direction: column;\n      gap: 12px;\n\n      .unlock-panel-group-label {\n        line-height: 1;\n        color: #a09a93;\n      }\n\n      .unlock-panel-group-providers {\n        display: flex;\n        flex-direction: column;\n        gap: calc(4px / 2);\n\n        .unlock-panel-group-provider {\n          border-radius: 0;\n\n          &.first {\n            border-top-left-radius: 12px;\n            border-top-right-radius: 12px;\n          }\n\n          &.last {\n            border-bottom-left-radius: 12px;\n            border-bottom-right-radius: 12px;\n          }\n        }\n      }\n    }\n  }\n}\n";

const UnlockPanel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.close = index.createEvent(this, "close");
        this.login = index.createEvent(this, "login");
        this.isOpen = false;
        this.allowedProviders = Object.values(provider_types.ProviderTypeEnum);
        this.isLoggingIn = false;
        this.selectedMethod = null;
        this.childElements = [];
        this.anchor = null;
        this.observer = null;
    }
    isExtensionInstalled(currentProvider) {
        return currentProvider === provider_types.ProviderTypeEnum.extension && getIsMetaMaskAvailable.getIsExtensionAvailable();
    }
    isMetaMaskInstalled(currentProvider) {
        return currentProvider === provider_types.ProviderTypeEnum.metamask && getIsMetaMaskAvailable.getIsMetaMaskAvailable();
    }
    disconnectedCallback() {
        if (this.observer) {
            this.observer.disconnect();
        }
    }
    observeContainer(element) {
        if (!element) {
            return;
        }
        this.anchor = element;
        if (this.observer) {
            this.observer.disconnect();
        }
        this.observer = new MutationObserver(() => {
            this.isLoggingIn = element.childElementCount > 0;
        });
        this.observer.observe(element, { childList: true, subtree: true });
    }
    handleLogin(provider) {
        this.login.emit({ provider, anchor: this.anchor });
        this.selectedMethod = provider;
    }
    handleResetLoginState(event) {
        event.preventDefault();
        this.isLoggingIn = false;
        this.selectedMethod = null;
        if (!this.anchor) {
            return;
        }
        while (this.anchor.firstChild) {
            this.anchor.removeChild(this.anchor.firstChild);
        }
    }
    handleClose(event) {
        event.preventDefault();
        this.close.emit();
    }
    componentWillLoad() {
        this.childElements = [...this.host.children];
        this.host.innerHTML = '';
    }
    render() {
        const detectedProviders = this.allowedProviders.filter(allowedProvider => this.isExtensionInstalled(allowedProvider) || this.isMetaMaskInstalled(allowedProvider));
        const otherProviders = this.allowedProviders.filter(allowedProvider => !detectedProviders.includes(allowedProvider));
        const hasDetectedProviders = detectedProviders.length > 0;
        return (index.h("mvx-side-panel", { key: '3bb5bbc0a6f8440406c23d4a3cd3522ad4b4fe48', isOpen: this.isOpen, panelTitle: "Connect your wallet", onClose: this.handleClose.bind(this), onBack: this.handleResetLoginState.bind(this), withBackButton: this.isLoggingIn }, index.h("div", { key: 'e68f258500c336ba4d4e3a889d487465bc645ef8', id: "anchor", ref: element => this.observeContainer(element) }), !this.isLoggingIn && (index.h("div", { key: '2ba4d2445de712de5a4e055b2f64140f40c368c1', class: "unlock-panel" }, index.h("div", { key: 'abc3dce32bf253b74708a11b44aeec8715839698', class: "unlock-panel-groups" }, hasDetectedProviders && (index.h("div", { key: '646af89c058e3246287da0ef7d1e1f4a7ed619cd', class: "unlock-panel-group" }, index.h("div", { key: '972964671544dd5aaba2de36e900647b39f9560f', class: "unlock-panel-group-label" }, "Detected"), index.h("div", { key: '4a9590a0f7f2f96dd07182251e4499a369940cf8', class: "unlock-panel-group-providers" }, detectedProviders.map((provider, providerIndex) => (index.h("mvx-provider-button", { type: provider, onClick: this.handleLogin.bind(this, provider), class: index$1.classNames('unlock-panel-group-provider', {
                first: providerIndex === 0,
                last: providerIndex === detectedProviders.length - 1,
            }) })))))), index.h("div", { key: '0e4fff0e774dbfd704f318345a245564e8e4ae56', class: "unlock-panel-group" }, index.h("div", { key: 'ec4b48b8ef9ef6667c20b742549aa7b96e183f47', class: "unlock-panel-group-label" }, hasDetectedProviders ? 'Other Options' : 'Options'), index.h("div", { key: 'c46eb572af03003fd45f770314f5857cf429abf1', class: "unlock-panel-group-providers" }, otherProviders.map((provider, providerIndex) => (index.h("mvx-provider-button", { type: provider, onClick: this.handleLogin.bind(this, provider), class: index$1.classNames('unlock-panel-group-provider', {
                first: providerIndex === 0,
                last: providerIndex === otherProviders.length - 1,
            }) })))))), index.h("div", { key: '97d72422ef8015b043e1fdceb83cbc62c78e7656' }, "External Providers", index.h("mxv-children", { key: 'ce1a6bb66221d5fdddc430b1dccf174eeaf8a774', innerHTML: this.childElements.map(childElement => childElement.innerHTML) })), index.h("img", { key: '0520a6262a66b91d6004e8df846362d133785b27', src: new URL('../collection/assets/unlock-panel-wallet.png', (typeof document === 'undefined' ? require('u' + 'rl').pathToFileURL(__filename).href : (_documentCurrentScript && _documentCurrentScript.tagName.toUpperCase() === 'SCRIPT' && _documentCurrentScript.src || new URL('mvx-unlock-panel.entry.cjs.js', document.baseURI).href))).href })))));
    }
    get host() { return index.getElement(this); }
};
UnlockPanel.style = unlockPanelScss;

exports.mvx_unlock_panel = UnlockPanel;
//# sourceMappingURL=mvx-unlock-panel.entry.cjs.js.map

//# sourceMappingURL=mvx-unlock-panel.cjs.entry.js.map