'use strict';

var index = require('./index-DnF1G--N.js');
var dataTestIds_enum = require('./dataTestIds.enum-B6DL3zPm.js');
var WalletConnectBase = require('./WalletConnectBase-DhDRTajh.js');
require('./_commonjsHelpers-MBWFX2dn.js');
require('./EventBus-Dq4GLNJp.js');

const walletConnectPanelCss = ".wallet-connect-container{padding:20px;display:flex;flex-direction:column;align-items:center;height:100%;width:100%;box-sizing:border-box}.wallet-connect-header{text-align:center;margin-bottom:20px;width:100%}.wallet-connect-header h2{font-size:1.5rem;margin-bottom:8px;font-weight:600}.wallet-connect-header h4{font-size:1rem;color:#666;font-weight:400;margin-top:0}:host ::slotted(mvx-wallet-connect-body){width:100%}:global(.wallet-connect-side-panel){width:380px;max-width:90vw}";

const WalletConnectPanel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.data = {
            wcURI: '',
        };
        this.qrCodeSvg = '';
        this.isOpen = false;
        this.walletConnectBase = new WalletConnectBase.WalletConnectBase(this.data);
    }
    componentDidLoad() {
        this.walletConnectBase.subscribeEventBus(this.getEventBusSubscription());
        this.walletConnectBase.eventBus.subscribe(WalletConnectBase.WalletConnectEventsEnum.OPEN_WALLET_CONNECT_PANEL, this.handleOpen.bind(this));
        this.walletConnectBase.eventBus.subscribe(WalletConnectBase.WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        this.walletConnectBase.unsubscribeEventBus(this.getEventBusSubscription());
        this.walletConnectBase.eventBus.unsubscribe(WalletConnectBase.WalletConnectEventsEnum.OPEN_WALLET_CONNECT_PANEL, this.handleOpen.bind(this));
        this.walletConnectBase.eventBus.unsubscribe(WalletConnectBase.WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        if (props.isUserClick) {
            this.walletConnectBase.eventBus.publish(WalletConnectBase.WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL);
        }
    }
    async getEventBus() {
        return this.walletConnectBase.getEventBus();
    }
    getEventBusSubscription() {
        return {
            closeFn: () => this.onClose({ isUserClick: false }),
            forceUpdateFn: () => {
                this.data = this.walletConnectBase.data;
                index.forceUpdate(this);
            },
        };
    }
    async onDataChange(data) {
        if (data.wcURI) {
            this.qrCodeSvg = await this.walletConnectBase.generateSVG(data.wcURI);
        }
    }
    render() {
        return (index.h("mvx-side-panel", { key: '4cc915a96e400eb932dfa8d8a7314310b0337eac', isOpen: this.isOpen, panelClassName: "wallet-connect-side-panel", onClose: this.handleClose.bind(this) }, index.h("div", { key: '92145b9870ede327c94c19fbf252c4ae1f12201b', class: "wallet-connect-container" }, index.h("div", { key: '314a818d61809ac55d5d03bc21068b2c6b238f01', class: "wallet-connect-header" }, index.h("h2", { key: '4260f1295a8b58def87fac4bd125fdbf4b79a6f8', "data-testid": dataTestIds_enum.DataTestIdsEnum.walletConnetModalTitle }, "xPortal Mobile Wallet"), index.h("h4", { key: 'd48b9968f06a90457e1ae07e341a09a33ef54305', "data-testid": dataTestIds_enum.DataTestIdsEnum.walletConnetModalSubtitle }, "Scan this QR code with your app")), index.h("mvx-wallet-connect-body", { key: 'a01da11dea4f1967266e958e30b99928f1097668', qrCodeSvg: this.qrCodeSvg }))));
    }
    get hostElement() { return index.getElement(this); }
    static get watchers() { return {
        "data": ["onDataChange"]
    }; }
};
WalletConnectPanel.style = walletConnectPanelCss;

exports.mvx_wallet_connect_panel = WalletConnectPanel;
//# sourceMappingURL=mvx-wallet-connect-panel.entry.cjs.js.map

//# sourceMappingURL=mvx-wallet-connect-panel.cjs.entry.js.map