import { r as registerInstance, c as createEvent, h } from './index-D3R9UMmk.js';

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4);overflow:auto}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";

const GenericModal = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.close = createEvent(this, "close");
    }
    handleClose() {
        this.close.emit();
    }
    handleKeyDown(event) {
        if (event.key === 'Escape') {
            this.handleClose();
        }
    }
    render() {
        return (h("div", { key: 'b457ca58f463b428809bc09b2bb5e90d076e1283', class: "modal", onKeyDown: this.handleKeyDown.bind(this) }, h("div", { key: 'a9b6aed89b576cbf6f97a2b164abe860980a0227', class: "modal-content" }, h("div", { key: 'ffc4ba7f6f8c11e3450f795e52e6d6ac68fc8282', class: "modal-header" }, h("span", { key: '1641b7eee42b001b40e57e688a440213f78a9668', class: "close", onClick: this.handleClose.bind(this) }, "\u2715"), h("h2", { key: '124bb6474416e1c455a52a0a2a913f58c3b9a013' }, this.modalTitle), this.modalSubtitle && h("h4", { key: 'e1ea26ab44adb1e8d035da92b0934abb5150eae0' }, this.modalSubtitle)), this.body)));
    }
};
GenericModal.style = genericModalCss;

export { GenericModal as mvx_generic_modal };
//# sourceMappingURL=mvx-generic-modal.entry.js.map

//# sourceMappingURL=mvx-generic-modal.entry.js.map