import { h, r as registerInstance, F as Fragment } from './index-D3R9UMmk.js';
import { P as ProviderTypeEnum } from './provider.types-x7Gngtcg.js';

const providerButtonScss = ".provider-button{display:flex}";

var ProviderButtonLabelsEnum;
(function (ProviderButtonLabelsEnum) {
    ProviderButtonLabelsEnum["extension"] = "MultiversX Wallet Extension";
    ProviderButtonLabelsEnum["metamask"] = "MetaMask Snap";
    ProviderButtonLabelsEnum["passkey"] = "Passkey";
    ProviderButtonLabelsEnum["xportal"] = "xPortal Wallet";
    ProviderButtonLabelsEnum["ledger"] = "Ledger";
    ProviderButtonLabelsEnum["wallet"] = "MultiversX Web Wallet";
    ProviderButtonLabelsEnum["xalias"] = "Google (xAlias)";
})(ProviderButtonLabelsEnum || (ProviderButtonLabelsEnum = {}));
const providerButtonInfo = {
    [ProviderTypeEnum.extension]: {
        icon: h("mvx-extension-provider-icon", null),
        label: ProviderButtonLabelsEnum.extension,
    },
    [ProviderTypeEnum.metamask]: {
        icon: h("mvx-metamask-provider-icon", null),
        label: ProviderButtonLabelsEnum.metamask,
    },
    [ProviderTypeEnum.passkey]: {
        icon: h("mvx-passkey-provider-icon", null),
        label: ProviderButtonLabelsEnum.passkey,
    },
    [ProviderTypeEnum.walletConnect]: {
        icon: h("mvx-multiversx-logo-icon", null),
        label: ProviderButtonLabelsEnum.xportal,
    },
    [ProviderTypeEnum.ledger]: {
        icon: h("mvx-ledger-provider-icon", null),
        label: ProviderButtonLabelsEnum.ledger,
    },
    [ProviderTypeEnum.crossWindow]: {
        icon: h("mvx-wallet-provider-icon", null),
        label: ProviderButtonLabelsEnum.wallet,
    },
    [ProviderTypeEnum.xalias]: {
        icon: h("mvx-xalias-provider-icon", null),
        label: ProviderButtonLabelsEnum.xalias,
    },
};
const ProviderButton = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const walletInfo = this.type ? providerButtonInfo[this.type] : null;
        if (!walletInfo) {
            return h(Fragment, null);
        }
        return h("mvx-unlock-button", { icon: walletInfo.icon, label: walletInfo.label, type: this.type, class: this.class });
    }
};
ProviderButton.style = providerButtonScss;

export { ProviderButton as mvx_provider_button };
//# sourceMappingURL=mvx-provider-button.entry.js.map

//# sourceMappingURL=mvx-provider-button.entry.js.map