import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { c as classNames } from './index-CcLhQtEp.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-uM8_L1mr.js';
import { h as faLayerGroup } from './index-V-nc4w6z.js';
import './_commonjsHelpers-Dj2_voLF.js';

var faFileAlt = {};

var faFileLines = {};

var hasRequiredFaFileLines;

function requireFaFileLines () {
	if (hasRequiredFaFileLines) return faFileLines;
	hasRequiredFaFileLines = 1;
	(function (exports) {
		Object.defineProperty(exports, '__esModule', { value: true });
		var prefix = 'fas';
		var iconName = 'file-lines';
		var width = 384;
		var height = 512;
		var aliases = [128441,128462,61686,"file-alt","file-text"];
		var unicode = 'f15c';
		var svgPathData = 'M64 0C28.7 0 0 28.7 0 64L0 448c0 35.3 28.7 64 64 64l256 0c35.3 0 64-28.7 64-64l0-288-128 0c-17.7 0-32-14.3-32-32L224 0 64 0zM256 0l0 128 128 0L256 0zM112 256l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16zm0 64l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16zm0 64l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16z';

		exports.definition = {
		  prefix: prefix,
		  iconName: iconName,
		  icon: [
		    width,
		    height,
		    aliases,
		    unicode,
		    svgPathData
		  ]};

		exports.faFileLines = exports.definition;
		exports.prefix = prefix;
		exports.iconName = iconName;
		exports.width = width;
		exports.height = height;
		exports.ligatures = aliases;
		exports.unicode = unicode;
		exports.svgPathData = svgPathData;
		exports.aliases = aliases; 
	} (faFileLines));
	return faFileLines;
}

var hasRequiredFaFileAlt;

function requireFaFileAlt () {
	if (hasRequiredFaFileAlt) return faFileAlt;
	hasRequiredFaFileAlt = 1;
	(function (exports) {
		Object.defineProperty(exports, '__esModule', { value: true });
		var source = /*@__PURE__*/ requireFaFileLines();
		exports.definition = {
		  prefix: source.prefix,
		  iconName: source.iconName,
		  icon: [
		    source.width,
		    source.height,
		    source.aliases,
		    source.unicode,
		    source.svgPathData
		  ]};

		exports.faFileAlt = exports.definition;
		exports.prefix = source.prefix;
		exports.iconName = source.iconName;
		exports.width = source.width;
		exports.height = source.height;
		exports.ligatures = source.aliases;
		exports.unicode = source.unicode;
		exports.svgPathData = source.svgPathData;
		exports.aliases = source.aliases; 
	} (faFileAlt));
	return faFileAlt;
}

var faFileAltExports = /*@__PURE__*/ requireFaFileAlt();

var faLock = {};

var hasRequiredFaLock;

function requireFaLock () {
	if (hasRequiredFaLock) return faLock;
	hasRequiredFaLock = 1;
	(function (exports) {
		Object.defineProperty(exports, '__esModule', { value: true });
		var prefix = 'fas';
		var iconName = 'lock';
		var width = 448;
		var height = 512;
		var aliases = [128274];
		var unicode = 'f023';
		var svgPathData = 'M144 144l0 48 160 0 0-48c0-44.2-35.8-80-80-80s-80 35.8-80 80zM80 192l0-48C80 64.5 144.5 0 224 0s144 64.5 144 144l0 48 16 0c35.3 0 64 28.7 64 64l0 192c0 35.3-28.7 64-64 64L64 512c-35.3 0-64-28.7-64-64L0 256c0-35.3 28.7-64 64-64l16 0z';

		exports.definition = {
		  prefix: prefix,
		  iconName: iconName,
		  icon: [
		    width,
		    height,
		    aliases,
		    unicode,
		    svgPathData
		  ]};

		exports.faLock = exports.definition;
		exports.prefix = prefix;
		exports.iconName = iconName;
		exports.width = width;
		exports.height = height;
		exports.ligatures = aliases;
		exports.unicode = unicode;
		exports.svgPathData = svgPathData;
		exports.aliases = aliases; 
	} (faLock));
	return faLock;
}

var faLockExports = /*@__PURE__*/ requireFaLock();

const transactionAccountCss = ".transaction-account{align-items:center;display:flex;gap:0.5rem}";

const TransactionAccount = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.showLockedAccounts = false;
    }
    render() {
        return (h("div", { key: 'd4ad5146786742baed00169cb117635774d41a19', class: classNames(this.class, 'transaction-account'), "data-testid": this.dataTestId }, this.showLockedAccounts && this.account.isTokenLocked && h("mvx-fa-icon", { key: '5541b79bd0ee8c95ed82c391cc8858bad7169536', icon: faLockExports.faLock, description: this.account.name }), this.account.isContract && h("mvx-fa-icon", { key: '2b350310e8bf59ec11492f0313a70d6a4bfa2506', icon: faFileAltExports.faFileAlt, description: "Smart Contract" }), this.account.showLink ? (h("mvx-explorer-link", { link: this.account.link, "data-testid": `${this.scope}Link` }, h("mvx-transaction-account-name", { slot: "content", name: this.account.name, description: this.account.description, address: this.account.address }))) : (h("mvx-transaction-account-name", { name: this.account.name, description: this.account.description, address: this.account.address }))));
    }
};
TransactionAccount.style = transactionAccountCss;

const transactionAgeCss = ".transaction-age{width:max-content}";

const TransactionAge = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const component = this.tooltip ? (h("div", { class: classNames(this.class, 'transaction-age'), title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("div", { class: classNames(this.class, 'transaction-age'), "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("div", { key: '8245972d5df2a6e98b3354bc00e520241bd5278f', class: classNames(this.class, 'transaction-age') }, component);
    }
};
TransactionAge.style = transactionAgeCss;

const transactionHashCss = "";

const TransactionHash = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (!this.transaction) {
            return null;
        }
        return (h("div", { class: classNames(this.class, 'transaction-hash') }, h("mvx-transaction-icon", { iconInfo: this.transaction.iconInfo }), h("mvx-explorer-link", { dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
};
TransactionHash.style = transactionHashCss;

const transactionMethodCss = ".badge{display:inline-block;padding:0.25em 0.4em;font-size:75%;font-weight:700;line-height:1;text-align:center;white-space:pre-wrap;word-break:break-all;vertical-align:baseline;border-radius:0.25rem;transition:color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out}@media (prefers-reduced-motion: reduce){.badge{transition:none}}a.badge:hover,a.badge:focus{text-decoration:none}.badge:empty{display:none}.btn .badge{position:relative;top:-1px}.badge-pill{padding-right:0.6em;padding-left:0.6em;border-radius:10rem}.badge-primary{color:#fff;background-color:#007bff}a.badge-primary:hover,a.badge-primary:focus{color:#fff;background-color:#0062cc}a.badge-primary:focus,a.badge-primary.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(0, 123, 255, 0.5)}.badge-secondary{color:#fff;background-color:#6c757d}a.badge-secondary:hover,a.badge-secondary:focus{color:#fff;background-color:#545b62}a.badge-secondary:focus,a.badge-secondary.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(108, 117, 125, 0.5)}.badge-success{color:#fff;background-color:#28a745}a.badge-success:hover,a.badge-success:focus{color:#fff;background-color:#1e7e34}a.badge-success:focus,a.badge-success.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(40, 167, 69, 0.5)}.badge-info{color:#fff;background-color:#17a2b8}a.badge-info:hover,a.badge-info:focus{color:#fff;background-color:#117a8b}a.badge-info:focus,a.badge-info.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(23, 162, 184, 0.5)}.badge-warning{color:#212529;background-color:#ffc107}a.badge-warning:hover,a.badge-warning:focus{color:#212529;background-color:#d39e00}a.badge-warning:focus,a.badge-warning.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(255, 193, 7, 0.5)}.badge-danger{color:#fff;background-color:#dc3545}a.badge-danger:hover,a.badge-danger:focus{color:#fff;background-color:#bd2130}a.badge-danger:focus,a.badge-danger.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(220, 53, 69, 0.5)}.badge-light{color:#212529;background-color:#f8f9fa}a.badge-light:hover,a.badge-light:focus{color:#212529;background-color:#dae0e5}a.badge-light:focus,a.badge-light.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(248, 249, 250, 0.5)}.badge-dark{color:#fff;background-color:#343a40}a.badge-dark:hover,a.badge-dark:focus{color:#fff;background-color:#1d2124}a.badge-dark:focus,a.badge-dark.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(52, 58, 64, 0.5)}.text-truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.text-capitalize{text-transform:capitalize}.text-white{color:#fff}";

const TransactionMethod = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("span", { key: '465b5aa205702fc1d3e00b627a8ea6a682fad40a', class: classNames('badge badge-secondary badge-pill font-weight-light transaction-method', this.class), "data-testid": DataTestIdsEnum.method, title: this.actionDescription }, h("div", { key: '73ef8a5a4b46d0b486c1ca7c79465e4683743eb2', class: "badge badge-secondary badge-pill" }, h("div", { key: 'ad3919790cff0e1aa5248fcf00d225c10d6a6b37', class: "text-truncate text-capitalize text-white" }, this.method))));
    }
};
TransactionMethod.style = transactionMethodCss;

const transactionShardsCss = ".transaction-shards,.transaction-shards-arrow{align-items:center;display:flex;gap:0.5rem;width:max-content}";

const TransactionShards = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { key: '0045c507d0affac9a30794cdf234fe066498f863', class: classNames(this.class, 'transaction-shards') }, h("mvx-explorer-link", { key: 'd993f6f74262eb4799de3664e039180a6bf7378b', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: '884f57a19e30ecef83455e92001afb937b320381', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: '1e7d911f9eb57f342e2bf6f82de4234400fc9982', class: "transaction-shards-arrow" }, "\u2794"), h("mvx-explorer-link", { key: '79c925c7c68bc51476bda5264aec2219e2ce60a9', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: '1a9beb14855d4ef760a1bb8ddac36f89a5fc796e', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
};
TransactionShards.style = transactionShardsCss;

const transactionValueCss = ".transaction-action {\n  .transaction-nft-badge {\n    margin: 0 0.25rem auto auto;\n  }\n}\n\n.transaction-action-content {\n  align-items: center;\n  display: flex;\n}\n\n.transaction-value, .transaction-value-content {\n  align-items: center;\n  display: flex;\n  gap: 0.25rem;\n}\n\n.transaction-value-img {\n  width: 1.5rem;\n  height: 1.5rem;\n  min-width: 1.5rem;\n  min-height: 1.5rem;\n  color: transparent;\n  border-radius: 50%;\n  overflow: hidden;\n  border: 1px solid #dee2e6;\n}\n\n.badge {\n  display: inline-block;\n  padding: 0.25em 0.4em;\n  font-size: 75%;\n  font-weight: 700;\n  line-height: 1;\n  text-align: center;\n  white-space: pre-wrap;\n  word-break: break-all;\n  vertical-align: baseline;\n  border-radius: 0.25rem;\n  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;\n  width: max-content;\n}\n\n@media (prefers-reduced-motion: reduce) {\n  .badge {\n    transition: none;\n  }\n}\n\n.badge-pill {\n  padding-right: 0.6em;\n  padding-left: 0.6em;\n  border-radius: 10rem;\n}\n\n.badge-primary {\n  color: #fff;\n  background-color: #007bff;\n}\n\n.badge-secondary {\n  color: #fff;\n  background-color: #6c757d;\n}\n\n.badge-danger {\n  color: #fff;\n  background-color: #dc3545;\n}\n\n.badge-light {\n  color: #212529;\n  background-color: #f8f9fa;\n}\n\n.text-truncate {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n\n.text-capitalize {\n  text-transform: capitalize;\n}\n\n.text-white {\n  color: #fff;\n}\n";

const TransactionValue = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        var _a;
        return (h("div", { key: '5357edac7aef3c685454c174bc13c01d3be0520c', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '7db6515d8b5e87a8b8e8bf828628a1ff70c1de6c', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("mvx-format-amount", { key: '27f31aada5d98ed569e399326f9d84f171ee177f', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("mvx-explorer-link", { key: 'afb3e40dad7d40f211c36e4d52e51ed3f781393e', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '7fd6abf5521af0446e2ad4e59efd3095d9750a79', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: '3fbea2f24f87928b9ecebed02e25c36f7c1637fe', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: '5a9e3548fb7f33401ed357748a79cc86a3707afd', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("mvx-fa-icon", { key: '305d2a08ce43e38d6cfb9352c9dc761ee981406b', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
};
TransactionValue.style = transactionValueCss;

export { TransactionAccount as mvx_transaction_account, TransactionAge as mvx_transaction_age, TransactionHash as mvx_transaction_hash, TransactionMethod as mvx_transaction_method, TransactionShards as mvx_transaction_shards, TransactionValue as mvx_transaction_value };
//# sourceMappingURL=mvx-transaction-account.mvx-transaction-age.mvx-transaction-hash.mvx-transaction-method.mvx-transaction-shards.mvx-transaction-value.entry.js.map

//# sourceMappingURL=mvx-transaction-account_6.entry.js.map