import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { c as classNames } from './index-CcLhQtEp.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-uM8_L1mr.js';
import './_commonjsHelpers-Dj2_voLF.js';

const transactionsTableCss = ".transactions-table{width:100%;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb;overflow:auto;table-layout:auto}.transactions-table-header{background-color:#f9fafb}.transactions-table-header-cell{padding:0.75rem 1rem;text-align:left;font-size:0.75rem;line-height:1rem;font-weight:500;color:#6b7280;text-transform:uppercase;letter-spacing:0.05em;width:16.666667%}.transactions-table-body{background-color:#ffffff;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb}.transactions-table-body-row{color:rgb(107 114 128)}.transactions-table-body-cell{padding:0.5rem;width:max-content}.transactions-table-body-cell>*{width:max-content}";

const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
const TransactionsTable = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("table", { key: 'c1149181d6c852e101f37f1f3d3ef4810af0510b', class: classNames(this.class, 'transactions-table') }, h("thead", { key: '0ade6cec7095d1af43260de5ba304f281cf9d4f7', class: "transactions-table-header" }, h("tr", { key: '019a77cd55529e1860e217ad389cd3d71db566fa' }, COLUMNS.map(column => (h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), h("tbody", { key: '4a9cee610a5053bb75e17e67b2624cebf9091696', class: "transactions-table-body" }, this.transactions.map(transaction => (h("tr", { class: "transactions-table-body-row" }, h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-hash", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-age", { age: transaction.age.timeAgo, tooltip: transaction.age.tooltip })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-shards", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-account", { account: transaction.sender, dataTestId: DataTestIdsEnum.transactionSender, scope: "sender", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-account", { account: transaction.receiver, dataTestId: DataTestIdsEnum.transactionReceiver, scope: "receiver", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-method", { method: transaction.method.name, actionDescription: transaction.method.actionDescription })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-value", { value: transaction.value }))))))));
    }
};
TransactionsTable.style = transactionsTableCss;

export { TransactionsTable as mvx_transactions_table };
//# sourceMappingURL=mvx-transactions-table.entry.js.map

//# sourceMappingURL=mvx-transactions-table.entry.js.map