import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { s as state } from './p-B8ALvP0A.js';
import { d as defineCustomElement$3 } from './p-nIZyqk92.js';
import { d as defineCustomElement$2 } from './p-DE2XBunF.js';

// types here need to be synced with the types in sdk-dapp-core tokens.types.ts
var EsdtEnumType;
(function (EsdtEnumType) {
    EsdtEnumType["FungibleESDT"] = "FungibleESDT";
})(EsdtEnumType || (EsdtEnumType = {}));
var NftEnumType;
(function (NftEnumType) {
    NftEnumType["NonFungibleESDT"] = "NonFungibleESDT";
    NftEnumType["SemiFungibleESDT"] = "SemiFungibleESDT";
    NftEnumType["MetaESDT"] = "MetaESDT";
})(NftEnumType || (NftEnumType = {}));

const fungibleComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.fungible-container{display:flex;flex-direction:column}.fungible-inner-container{display:flex;justify-content:space-between;align-items:center;background-color:#f9f6ee;border-radius:8px;padding-right:8px}.fungible-img-container{display:flex;gap:1rem;align-items:flex-end}.fungible-img{width:64px;height:64px}.fungible-sft{color:#fed7aa;background-color:#171717;padding:4px 8px;text-transform:uppercase;border-radius:4px}";

const LABELS = {
    [NftEnumType.SemiFungibleESDT]: 'SFT',
    [NftEnumType.NonFungibleESDT]: 'NFT',
};
const FungibleComponent = /*@__PURE__*/ proxyCustomElement(class FungibleComponent extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const { sftTransaction, nftTransaction, commonData } = state;
        const { tokenType } = commonData;
        const data = tokenType === NftEnumType.SemiFungibleESDT ? sftTransaction : nftTransaction;
        const { amount = '', identifier = '', imageURL = '' } = data || {};
        const label = LABELS[tokenType];
        return (h("mvx-sign-transaction-component", { key: '45cf672919e1e4682b173361ab5a65a294c68f3f', header: h("div", { class: "fungible-container" }, h("span", null, `You are sending ${amount} ${label}`), h("div", { class: "fungible-inner-container" }, h("div", { class: "fungible-img-container" }, h("img", { src: imageURL, alt: identifier, class: "fungible-img" }), h("div", null, h("span", null, identifier))), h("span", { class: "fungible-sft" }, label))) }));
    }
    static get style() { return fungibleComponentCss; }
}, [0, "mvx-fungible-component"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-fungible-component", "mvx-sign-transaction-component", "mvx-transaction-fee-component"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-fungible-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FungibleComponent);
            }
            break;
        case "mvx-sign-transaction-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-transaction-fee-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxFungibleComponent = FungibleComponent;
const defineCustomElement = defineCustomElement$1;

export { MvxFungibleComponent, defineCustomElement };
//# sourceMappingURL=mvx-fungible-component.js.map

//# sourceMappingURL=mvx-fungible-component.js.map