import { p as proxyCustomElement, H, f as forceUpdate, h } from './p-FAOyWG8K.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { E as EventBus } from './p-S9juR7eS.js';
import { d as defineCustomElement$4 } from './p-aqiOFbXW.js';
import { d as defineCustomElement$3 } from './p-BhfIuGAV.js';
import { d as defineCustomElement$2 } from './p-BWYxoN3R.js';

// types here need to be synced with the types in sdk-dapp-core pendingTransactions.types.ts
var PendingTransactionsEventsEnum;
(function (PendingTransactionsEventsEnum) {
    PendingTransactionsEventsEnum["CLOSE_PENDING_TRANSACTIONS"] = "CLOSE_PENDING_TRANSACTIONS";
    PendingTransactionsEventsEnum["OPEN_PENDING_TRANSACTIONS_PANEL"] = "OPEN_PENDING_TRANSACTIONS_PANEL";
    PendingTransactionsEventsEnum["DATA_UPDATE"] = "DATA_UPDATE";
})(PendingTransactionsEventsEnum || (PendingTransactionsEventsEnum = {}));

const pendingTransactionsPanelCss = ".modal-body{display:flex;justify-content:center;align-items:center;padding:16px}.close-button{cursor:pointer;color:#ffff;background-color:#343a40;border-color:#343a40;border-radius:0.25rem;padding:0.375rem 0.75rem;border:1px solid rgba(0, 0, 0, 0)}.pending-transactions-panel{width:450px;max-width:100%;padding:0;background-color:#ffffff;box-shadow:0 4px 12px rgba(0, 0, 0, 0.15)}.pending-transactions-content{display:flex;flex-direction:column;height:100%;padding:24px}.pending-transactions-header{margin-bottom:24px;border-bottom:1px solid rgba(0, 0, 0, 0.1);padding-bottom:16px}.pending-transactions-header h2{font-size:20px;font-weight:600;margin-bottom:8px}.pending-transactions-header h4{font-size:14px;font-weight:400;color:rgba(0, 0, 0, 0.6)}.pending-transactions-body{display:flex;justify-content:center;align-items:center;flex:1;padding:16px}";

const PendingTransactionstPanel = /*@__PURE__*/ proxyCustomElement(class PendingTransactionstPanel extends H {
    constructor() {
        super();
        this.__registerHost();
        this.eventBus = new EventBus();
        this.isOpen = false;
        this.data = {
            isPending: false,
            title: '',
            subtitle: '',
        };
    }
    componentDidLoad() {
        this.eventBus.subscribe(PendingTransactionsEventsEnum.DATA_UPDATE, this.dataUpdate.bind(this));
        this.eventBus.subscribe(PendingTransactionsEventsEnum.OPEN_PENDING_TRANSACTIONS_PANEL, this.handleOpen.bind(this));
        this.eventBus.subscribe(PendingTransactionsEventsEnum.CLOSE_PENDING_TRANSACTIONS, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        this.eventBus.unsubscribe(PendingTransactionsEventsEnum.DATA_UPDATE, this.dataUpdate.bind(this));
        this.eventBus.unsubscribe(PendingTransactionsEventsEnum.OPEN_PENDING_TRANSACTIONS_PANEL, this.handleOpen.bind(this));
        this.eventBus.unsubscribe(PendingTransactionsEventsEnum.CLOSE_PENDING_TRANSACTIONS, this.onClose.bind(this, { isUserClick: false }));
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        if (props.isUserClick) {
            this.eventBus.publish(PendingTransactionsEventsEnum.CLOSE_PENDING_TRANSACTIONS);
        }
    }
    dataUpdate(payload) {
        if (payload.shouldClose) {
            return this.onClose({ isUserClick: false });
        }
        this.isOpen = true;
        this.data = Object.assign({}, payload);
        forceUpdate(this);
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        return (h("mvx-side-panel", { key: '42a4bc2bd3b57507d52ef4550ed15dea00609d68', isOpen: this.isOpen, panelClassName: "pending-transactions-panel", onClose: this.handleClose.bind(this) }, h("div", { key: '2c9bb3f18832c12dbe46599a3d950e7a0eccef59', class: "pending-transactions-content" }, h("div", { key: '60afbf307622f1a356e81cd3d44e168f4f141a08', class: "pending-transactions-header" }, h("h2", { key: '931b2fbe92106000a890f17b400171c3ba6841b8', "data-testid": DataTestIdsEnum.pendingTransactionsTitle }, this.data.title), h("h4", { key: '4d456d9e0c69a670f78669678e5f50140829ccde', "data-testid": DataTestIdsEnum.pendingTransactionsSubtitle }, this.data.subtitle)), h("div", { key: 'e36fdf0d85803beeca9e2a6f797e91d8306d4bd5', class: "pending-transactions-body" }, h("button", { key: '821b4b9e1f1ef2b19c8af9b413e2dc2bd9eab72c', class: "close-button", onClick: this.handleClose.bind(this) }, "Close")))));
    }
    static get style() { return pendingTransactionsPanelCss; }
}, [0, "mvx-pending-transactions-panel", {
        "data": [16],
        "isOpen": [32],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-pending-transactions-panel", "mvx-back-arrow-icon", "mvx-close-icon", "mvx-side-panel"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-pending-transactions-panel":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, PendingTransactionstPanel);
            }
            break;
        case "mvx-back-arrow-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-close-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxPendingTransactionsPanel = PendingTransactionstPanel;
const defineCustomElement = defineCustomElement$1;

export { MvxPendingTransactionsPanel, defineCustomElement };
//# sourceMappingURL=mvx-pending-transactions-panel.js.map

//# sourceMappingURL=mvx-pending-transactions-panel.js.map