import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { d as defineCustomElement$d } from './p-vev_v1Xr.js';
import { d as defineCustomElement$c } from './p-2EAIMxwa.js';
import { d as defineCustomElement$b } from './p-D9RWExgf.js';
import { d as defineCustomElement$a } from './p-BfuY5RJ_.js';
import { d as defineCustomElement$9 } from './p-B4rN5Ru8.js';
import { d as defineCustomElement$8 } from './p-D3wRV66B.js';
import { d as defineCustomElement$7 } from './p--mqEdOJJ.js';
import { d as defineCustomElement$6 } from './p-B-C0NQx_.js';
import { d as defineCustomElement$5 } from './p-DdoQ389X.js';
import { d as defineCustomElement$4 } from './p-C3jv_GJe.js';
import { d as defineCustomElement$3 } from './p-CB2B9lE5.js';
import { d as defineCustomElement$2 } from './p-CwbHD16e.js';

const transactionsTableCss = ".transactions-table{width:100%;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb;overflow:auto;table-layout:auto}.transactions-table-header{background-color:#f9fafb}.transactions-table-header-cell{padding:0.75rem 1rem;text-align:left;font-size:0.75rem;line-height:1rem;font-weight:500;color:#6b7280;text-transform:uppercase;letter-spacing:0.05em;width:16.666667%}.transactions-table-body{background-color:#ffffff;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb}.transactions-table-body-row{color:rgb(107 114 128)}.transactions-table-body-cell{padding:0.5rem;width:max-content}.transactions-table-body-cell>*{width:max-content}";

const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
const TransactionsTable = /*@__PURE__*/ proxyCustomElement(class TransactionsTable extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("table", { key: 'c1149181d6c852e101f37f1f3d3ef4810af0510b', class: classNames(this.class, 'transactions-table') }, h("thead", { key: '0ade6cec7095d1af43260de5ba304f281cf9d4f7', class: "transactions-table-header" }, h("tr", { key: '019a77cd55529e1860e217ad389cd3d71db566fa' }, COLUMNS.map(column => (h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), h("tbody", { key: '4a9cee610a5053bb75e17e67b2624cebf9091696', class: "transactions-table-body" }, this.transactions.map(transaction => (h("tr", { class: "transactions-table-body-row" }, h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-hash", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-age", { age: transaction.age.timeAgo, tooltip: transaction.age.tooltip })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-shards", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-account", { account: transaction.sender, dataTestId: DataTestIdsEnum.transactionSender, scope: "sender", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-account", { account: transaction.receiver, dataTestId: DataTestIdsEnum.transactionReceiver, scope: "receiver", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-method", { method: transaction.method.name, actionDescription: transaction.method.actionDescription })), h("td", { class: "transactions-table-body-cell" }, h("mvx-transaction-value", { value: transaction.value }))))))));
    }
    static get style() { return transactionsTableCss; }
}, [0, "mvx-transactions-table", {
        "class": [1],
        "transactions": [16]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transactions-table", "mvx-explorer-link", "mvx-fa-icon", "mvx-format-amount", "mvx-transaction-account", "mvx-transaction-account-name", "mvx-transaction-age", "mvx-transaction-hash", "mvx-transaction-icon", "mvx-transaction-method", "mvx-transaction-shards", "mvx-transaction-value", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transactions-table":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionsTable);
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "mvx-format-amount":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "mvx-transaction-account":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "mvx-transaction-account-name":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "mvx-transaction-age":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "mvx-transaction-hash":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "mvx-transaction-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-transaction-method":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-transaction-shards":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-transaction-value":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxTransactionsTable = TransactionsTable;
const defineCustomElement = defineCustomElement$1;

export { MvxTransactionsTable, defineCustomElement };
//# sourceMappingURL=mvx-transactions-table.js.map

//# sourceMappingURL=mvx-transactions-table.js.map