import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { P as ProviderTypeEnum, g as getIsExtensionAvailable, a as getIsMetaMaskAvailable, d as defineCustomElement$4 } from './p-Z4sMg4la.js';
import { d as defineCustomElement$e } from './p-c3G5ZDnd.js';
import { d as defineCustomElement$d } from './p-aqiOFbXW.js';
import { d as defineCustomElement$c } from './p-BhfIuGAV.js';
import { d as defineCustomElement$b } from './p-Bjk1BWwD.js';
import { d as defineCustomElement$a } from './p-DcCmmmJu.js';
import { d as defineCustomElement$9 } from './p-DwYZUmeQ.js';
import { d as defineCustomElement$8 } from './p-B0iWKDlO.js';
import { d as defineCustomElement$7 } from './p-Cu3dIAph.js';
import { d as defineCustomElement$6 } from './p-Cldmil_T.js';
import { d as defineCustomElement$5 } from './p-BWYxoN3R.js';
import { d as defineCustomElement$3 } from './p-RG_8QjHQ.js';
import { d as defineCustomElement$2 } from './p-QeyurKcV.js';

const unlockPanelScss = ".unlock-panel {\n  display: flex;\n  flex-direction: column;\n\n  .unlock-panel-groups {\n    display: flex;\n    flex-direction: column;\n    gap: 16px;\n\n    .unlock-panel-group {\n      display: flex;\n      flex-direction: column;\n      gap: 12px;\n\n      .unlock-panel-group-label {\n        line-height: 1;\n        color: #a09a93;\n      }\n\n      .unlock-panel-group-providers {\n        display: flex;\n        flex-direction: column;\n        gap: calc(4px / 2);\n\n        .unlock-panel-group-provider {\n          border-radius: 0;\n\n          &.first {\n            border-top-left-radius: 12px;\n            border-top-right-radius: 12px;\n          }\n\n          &.last {\n            border-bottom-left-radius: 12px;\n            border-bottom-right-radius: 12px;\n          }\n        }\n      }\n    }\n  }\n}\n";

const UnlockPanel = /*@__PURE__*/ proxyCustomElement(class UnlockPanel extends H {
    constructor() {
        super();
        this.__registerHost();
        this.close = createEvent(this, "close");
        this.login = createEvent(this, "login");
        this.isOpen = false;
        this.allowedProviders = Object.values(ProviderTypeEnum);
        this.isLoggingIn = false;
        this.selectedMethod = null;
        this.childElements = [];
        this.anchor = null;
        this.observer = null;
    }
    isExtensionInstalled(currentProvider) {
        return currentProvider === ProviderTypeEnum.extension && getIsExtensionAvailable();
    }
    isMetaMaskInstalled(currentProvider) {
        return currentProvider === ProviderTypeEnum.metamask && getIsMetaMaskAvailable();
    }
    disconnectedCallback() {
        if (this.observer) {
            this.observer.disconnect();
        }
    }
    observeContainer(element) {
        if (!element) {
            return;
        }
        this.anchor = element;
        if (this.observer) {
            this.observer.disconnect();
        }
        this.observer = new MutationObserver(() => {
            this.isLoggingIn = element.childElementCount > 0;
        });
        this.observer.observe(element, { childList: true, subtree: true });
    }
    handleLogin(provider) {
        this.login.emit({ provider, anchor: this.anchor });
        this.selectedMethod = provider;
    }
    handleResetLoginState(event) {
        event.preventDefault();
        this.isLoggingIn = false;
        this.selectedMethod = null;
        if (!this.anchor) {
            return;
        }
        while (this.anchor.firstChild) {
            this.anchor.removeChild(this.anchor.firstChild);
        }
    }
    handleClose(event) {
        event.preventDefault();
        this.close.emit();
    }
    componentWillLoad() {
        this.childElements = [...this.host.children];
        this.host.innerHTML = '';
    }
    render() {
        const detectedProviders = this.allowedProviders.filter(allowedProvider => this.isExtensionInstalled(allowedProvider) || this.isMetaMaskInstalled(allowedProvider));
        const otherProviders = this.allowedProviders.filter(allowedProvider => !detectedProviders.includes(allowedProvider));
        const hasDetectedProviders = detectedProviders.length > 0;
        return (h("mvx-side-panel", { key: '3bb5bbc0a6f8440406c23d4a3cd3522ad4b4fe48', isOpen: this.isOpen, panelTitle: "Connect your wallet", onClose: this.handleClose.bind(this), onBack: this.handleResetLoginState.bind(this), withBackButton: this.isLoggingIn }, h("div", { key: 'e68f258500c336ba4d4e3a889d487465bc645ef8', id: "anchor", ref: element => this.observeContainer(element) }), !this.isLoggingIn && (h("div", { key: '2ba4d2445de712de5a4e055b2f64140f40c368c1', class: "unlock-panel" }, h("div", { key: 'abc3dce32bf253b74708a11b44aeec8715839698', class: "unlock-panel-groups" }, hasDetectedProviders && (h("div", { key: '646af89c058e3246287da0ef7d1e1f4a7ed619cd', class: "unlock-panel-group" }, h("div", { key: '972964671544dd5aaba2de36e900647b39f9560f', class: "unlock-panel-group-label" }, "Detected"), h("div", { key: '4a9590a0f7f2f96dd07182251e4499a369940cf8', class: "unlock-panel-group-providers" }, detectedProviders.map((provider, providerIndex) => (h("mvx-provider-button", { type: provider, onClick: this.handleLogin.bind(this, provider), class: classNames('unlock-panel-group-provider', {
                first: providerIndex === 0,
                last: providerIndex === detectedProviders.length - 1,
            }) })))))), h("div", { key: '0e4fff0e774dbfd704f318345a245564e8e4ae56', class: "unlock-panel-group" }, h("div", { key: 'ec4b48b8ef9ef6667c20b742549aa7b96e183f47', class: "unlock-panel-group-label" }, hasDetectedProviders ? 'Other Options' : 'Options'), h("div", { key: 'c46eb572af03003fd45f770314f5857cf429abf1', class: "unlock-panel-group-providers" }, otherProviders.map((provider, providerIndex) => (h("mvx-provider-button", { type: provider, onClick: this.handleLogin.bind(this, provider), class: classNames('unlock-panel-group-provider', {
                first: providerIndex === 0,
                last: providerIndex === otherProviders.length - 1,
            }) })))))), h("div", { key: '97d72422ef8015b043e1fdceb83cbc62c78e7656' }, "External Providers", h("mxv-children", { key: 'ce1a6bb66221d5fdddc430b1dccf174eeaf8a774', innerHTML: this.childElements.map(childElement => childElement.innerHTML) })), h("img", { key: '0520a6262a66b91d6004e8df846362d133785b27', src: new URL('../collection/assets/unlock-panel-wallet.png', import.meta.url).href })))));
    }
    get host() { return this; }
    static get style() { return unlockPanelScss; }
}, [0, "mvx-unlock-panel", {
        "isOpen": [4, "is-open"],
        "allowedProviders": [16, "allowed-providers"],
        "isLoggingIn": [32],
        "selectedMethod": [32],
        "childElements": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-unlock-panel", "mvx-arrow-up-right-icon", "mvx-back-arrow-icon", "mvx-close-icon", "mvx-extension-provider-icon", "mvx-ledger-provider-icon", "mvx-metamask-provider-icon", "mvx-multiversx-logo-icon", "mvx-passkey-provider-icon", "mvx-provider-button", "mvx-side-panel", "mvx-unlock-button", "mvx-wallet-provider-icon", "mvx-xalias-provider-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-unlock-panel":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, UnlockPanel);
            }
            break;
        case "mvx-arrow-up-right-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$e();
            }
            break;
        case "mvx-back-arrow-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "mvx-close-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "mvx-extension-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "mvx-ledger-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "mvx-metamask-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "mvx-multiversx-logo-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "mvx-passkey-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "mvx-provider-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-unlock-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-wallet-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-xalias-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxUnlockPanel = UnlockPanel;
const defineCustomElement = defineCustomElement$1;

export { MvxUnlockPanel, defineCustomElement };
//# sourceMappingURL=mvx-unlock-panel.js.map

//# sourceMappingURL=mvx-unlock-panel.js.map