import { p as proxyCustomElement, H, f as forceUpdate, h } from './p-FAOyWG8K.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { W as WalletConnectBase, a as WalletConnectEventsEnum } from './p-D2Li44z_.js';
import { d as defineCustomElement$6 } from './p-aqiOFbXW.js';
import { d as defineCustomElement$5 } from './p-BhfIuGAV.js';
import { d as defineCustomElement$4 } from './p-C-O31jhY.js';
import { d as defineCustomElement$3 } from './p-BWYxoN3R.js';
import { d as defineCustomElement$2 } from './p-BqrrnrD2.js';

const walletConnectPanelCss = ".wallet-connect-container{padding:20px;display:flex;flex-direction:column;align-items:center;height:100%;width:100%;box-sizing:border-box}.wallet-connect-header{text-align:center;margin-bottom:20px;width:100%}.wallet-connect-header h2{font-size:1.5rem;margin-bottom:8px;font-weight:600}.wallet-connect-header h4{font-size:1rem;color:#666;font-weight:400;margin-top:0}:host ::slotted(mvx-wallet-connect-body){width:100%}:global(.wallet-connect-side-panel){width:380px;max-width:90vw}";

const WalletConnectPanel = /*@__PURE__*/ proxyCustomElement(class WalletConnectPanel extends H {
    constructor() {
        super();
        this.__registerHost();
        this.data = {
            wcURI: '',
        };
        this.qrCodeSvg = '';
        this.isOpen = false;
        this.walletConnectBase = new WalletConnectBase(this.data);
    }
    componentDidLoad() {
        this.walletConnectBase.subscribeEventBus(this.getEventBusSubscription());
        this.walletConnectBase.eventBus.subscribe(WalletConnectEventsEnum.OPEN_WALLET_CONNECT_PANEL, this.handleOpen.bind(this));
        this.walletConnectBase.eventBus.subscribe(WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        this.walletConnectBase.unsubscribeEventBus(this.getEventBusSubscription());
        this.walletConnectBase.eventBus.unsubscribe(WalletConnectEventsEnum.OPEN_WALLET_CONNECT_PANEL, this.handleOpen.bind(this));
        this.walletConnectBase.eventBus.unsubscribe(WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        if (props.isUserClick) {
            this.walletConnectBase.eventBus.publish(WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL);
        }
    }
    async getEventBus() {
        return this.walletConnectBase.getEventBus();
    }
    getEventBusSubscription() {
        return {
            closeFn: () => this.onClose({ isUserClick: false }),
            forceUpdateFn: () => {
                this.data = this.walletConnectBase.data;
                forceUpdate(this);
            },
        };
    }
    async onDataChange(data) {
        if (data.wcURI) {
            this.qrCodeSvg = await this.walletConnectBase.generateSVG(data.wcURI);
        }
    }
    render() {
        return (h("mvx-side-panel", { key: '4cc915a96e400eb932dfa8d8a7314310b0337eac', isOpen: this.isOpen, panelClassName: "wallet-connect-side-panel", onClose: this.handleClose.bind(this) }, h("div", { key: '92145b9870ede327c94c19fbf252c4ae1f12201b', class: "wallet-connect-container" }, h("div", { key: '314a818d61809ac55d5d03bc21068b2c6b238f01', class: "wallet-connect-header" }, h("h2", { key: '4260f1295a8b58def87fac4bd125fdbf4b79a6f8', "data-testid": DataTestIdsEnum.walletConnetModalTitle }, "xPortal Mobile Wallet"), h("h4", { key: 'd48b9968f06a90457e1ae07e341a09a33ef54305', "data-testid": DataTestIdsEnum.walletConnetModalSubtitle }, "Scan this QR code with your app")), h("mvx-wallet-connect-body", { key: 'a01da11dea4f1967266e958e30b99928f1097668', qrCodeSvg: this.qrCodeSvg }))));
    }
    get hostElement() { return this; }
    static get watchers() { return {
        "data": ["onDataChange"]
    }; }
    static get style() { return walletConnectPanelCss; }
}, [0, "mvx-wallet-connect-panel", {
        "data": [16],
        "qrCodeSvg": [32],
        "isOpen": [32],
        "getEventBus": [64]
    }, undefined, {
        "data": ["onDataChange"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-wallet-connect-panel", "mvx-back-arrow-icon", "mvx-close-icon", "mvx-generic-spinner", "mvx-side-panel", "mvx-wallet-connect-body"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-wallet-connect-panel":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, WalletConnectPanel);
            }
            break;
        case "mvx-back-arrow-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-close-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-generic-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-wallet-connect-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxWalletConnectPanel = WalletConnectPanel;
const defineCustomElement = defineCustomElement$1;

export { MvxWalletConnectPanel, defineCustomElement };
//# sourceMappingURL=mvx-wallet-connect-panel.js.map

//# sourceMappingURL=mvx-wallet-connect-panel.js.map