import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { g as getIconHtmlFromIconDefinition } from './p-LoDd7cPH.js';
import { g as getIconHtmlFromIconName } from './p-CzQ48r7E.js';

const faIconCss = ".fa-icon{width:100%;height:100%}";

const FaIcon = /*@__PURE__*/ proxyCustomElement(class FaIcon extends H {
    constructor() {
        super();
        this.__registerHost();
        this.class = 'fa-icon';
    }
    render() {
        if (!this.icon) {
            return null;
        }
        const iconHtml = typeof this.icon === 'string' ? getIconHtmlFromIconName(this.icon) : getIconHtmlFromIconDefinition(this.icon);
        return h("i", { class: this.class, innerHTML: iconHtml, title: this.description });
    }
    static get style() { return faIconCss; }
}, [0, "mvx-fa-icon", {
        "class": [1],
        "icon": [1],
        "description": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FaIcon);
            }
            break;
    } });
}

export { FaIcon as F, defineCustomElement as d };
//# sourceMappingURL=p-2EAIMxwa.js.map

//# sourceMappingURL=p-2EAIMxwa.js.map