import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { d as defineCustomElement$1 } from './p-CwbHD16e.js';

const transactionAccountNameCss = ".transaction-account-name{width:max-content}";

const TransactionAccountName = /*@__PURE__*/ proxyCustomElement(class TransactionAccountName extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        if (this.name) {
            return (h("div", { class: classNames('text-truncate', this.class, 'transaction-account-name'), "data-testid": this.dataTestId, title: this.description }, this.name));
        }
        return h("mvx-trim-text", { text: this.address, class: classNames(this.class, 'transaction-account-name'), dataTestId: this.dataTestId });
    }
    static get style() { return transactionAccountNameCss; }
}, [0, "mvx-transaction-account-name", {
        "address": [1],
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "description": [1],
        "name": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-account-name", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-account-name":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionAccountName);
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionAccountName as T, defineCustomElement as d };
//# sourceMappingURL=p-B4rN5Ru8.js.map

//# sourceMappingURL=p-B4rN5Ru8.js.map