import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { b as faChevronDown } from './p-LoDd7cPH.js';
import { d as defineCustomElement$5 } from './p-C61O5PTR.js';
import { d as defineCustomElement$4 } from './p-vev_v1Xr.js';
import { d as defineCustomElement$3 } from './p-2EAIMxwa.js';
import { d as defineCustomElement$2 } from './p-DYrfw6qB.js';
import { d as defineCustomElement$1 } from './p-CwbHD16e.js';

const transactionToastDetailsCss = ".transaction-details-container {\n  display: flex;\n  flex-direction: column;\n  align-items: flex-start;\n  align-self: stretch;\n  width: 100%;\n}\n\n.transaction-details-status {\n  display: flex;\n  align-items: center;\n  gap: 12px;\n  align-self: stretch;\n  margin-bottom: 12px;\n  cursor: pointer;\n}\n\n.transaction-details-status-icon {\n  color: var(--mx-tx-text-primary);\n  transition: transform var(--mx-transition);\n  align-items: center;\n  display: flex;\n  height: 20px;\n  width: 20px;\n  justify-content: center;\n\n  .svg-inline--fa {\n    height: 14px;\n    width: 14px;\n    color: var(--mx-tx-text-primary);\n  }\n}\n\n.transaction-details-status-icon.rotate-up {\n  transform: rotate(90deg);\n}\n\n.transaction-details-status-text {\n  color: var(--mx-tx-text-primary);\n  font-family: var(--font-family-roobert);\n  font-size: 16px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 140%; /* 19.6px */\n}\n\n.transaction-details-list {\n  display: flex;\n  flex-direction: column;\n  align-items: flex-start;\n  gap: 4px;\n  align-self: stretch;\n  max-height: 0;\n  overflow: hidden;\n  transition: max-height var(--mx-transition);\n}\n\n.transaction-details-list.expanded {\n  max-height: 500px;\n}\n\n.view-all-container {\n  width: 100%;\n  display: flex;\n  justify-content: center;\n  margin-top: 8px;\n}\n\n.show-more-button {\n  background: none;\n  border: none;\n  color: var(--mx-tx-text-primary);\n  font-family: var(--font-family-roobert);\n  font-size: 12px;\n  font-weight: 500;\n  cursor: pointer;\n  padding: 4px 8px;\n  border-radius: 4px;\n  transition: background-color var(--mx-transition);\n}\n\n.show-more-button:hover {\n  background-color: rgba(0, 0, 0, 0.05);\n}";

const TransactionToastDetails = /*@__PURE__*/ proxyCustomElement(class TransactionToastDetails extends H {
    constructor() {
        super();
        this.__registerHost();
        this.maxShownTransactions = 5;
        this.isExpanded = false;
        this.showAllTransactions = false;
    }
    toggleExpand() {
        this.isExpanded = !this.isExpanded;
        // Reset showAllTransactions when collapsing
        if (!this.isExpanded) {
            this.showAllTransactions = false;
        }
    }
    showMoreTransactions() {
        this.showAllTransactions = true;
    }
    render() {
        if (this.transactions == null) {
            return null;
        }
        const hasMoreTransactionsToShow = this.transactions.length > this.maxShownTransactions;
        const hiddenTransactionsCount = this.transactions.length - this.maxShownTransactions;
        const visibleTransactions = this.showAllTransactions ? this.transactions : this.transactions.slice(0, this.maxShownTransactions);
        return (h("div", { class: "transaction-details-container" }, h("div", { class: "transaction-details-status", onClick: this.toggleExpand.bind(this) }, h("mvx-fa-icon", { icon: faChevronDown, class: `transaction-details-status-icon ${this.isExpanded ? 'rotate-up' : ''}` }), h("span", { class: "transaction-details-status-text" }, this.processedTransactionsStatus)), h("div", { class: {
                'transaction-details-list': true,
                'expanded': this.isExpanded,
            } }, visibleTransactions.map(({ hash, status, link }, index) => (h("mvx-transaction-toast-details-body", { transactionClass: this.transactionClass, hash: hash, status: status, link: link, index: `#${index + 1}`, key: hash }))), hasMoreTransactionsToShow && !this.showAllTransactions && (h("div", { class: "view-all-container" }, h("button", { type: "button", class: "show-more-button", onClick: this.showMoreTransactions.bind(this) }, "Show ", hiddenTransactionsCount, " more"))))));
    }
    static get style() { return transactionToastDetailsCss; }
}, [0, "mvx-transaction-toast-details", {
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "transactionClass": [1, "transaction-class"],
        "maxShownTransactions": [2, "max-shown-transactions"],
        "isExpanded": [32],
        "showAllTransactions": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-toast-details", "mvx-copy-button", "mvx-explorer-link", "mvx-fa-icon", "mvx-transaction-toast-details-body", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-toast-details":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastDetails);
            }
            break;
        case "mvx-copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToastDetails as T, defineCustomElement as d };
//# sourceMappingURL=p-BEiZUtYF.js.map

//# sourceMappingURL=p-BEiZUtYF.js.map