import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { d as defineCustomElement$2 } from './p-aqiOFbXW.js';
import { d as defineCustomElement$1 } from './p-BhfIuGAV.js';

const sidePanelScss = ".side-panel-wrapper {\n  position: fixed;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n  display: flex;\n  padding: 16px;\n  pointer-events: none;\n  z-index: 10000;\n  justify-content: flex-end;\n  align-items: center;\n\n  &:before {\n    background: rgba(23, 23, 23, 0.9);\n    content: '';\n    pointer-events: none;\n    position: absolute;\n    left: 0;\n    right: 0;\n    top: 0;\n    bottom: 0;\n    transition: all 200ms ease;\n    opacity: 0;\n\n    @supports ((-webkit-backdrop-filter: none) or (backdrop-filter: none)) {\n      background: rgba(23, 23, 23, 0.5);\n      -webkit-backdrop-filter: blur(0.375rem);\n      backdrop-filter: blur(0.375rem);\n    }\n  }\n\n  &.visible {\n    pointer-events: auto;\n    visibility: visible;\n\n    &:before {\n      opacity: 0.9;\n    }\n  }\n\n  .side-panel {\n    transform: translateX(calc(100% + 48px));\n    border-radius: 20px;\n    padding: 24px;\n    width: calc(400px + 40px);\n    height: calc(100% - 48px);\n    transition: all 200ms ease;\n    backdrop-filter: blur(8px);\n    overflow: hidden;\n    display: flex;\n    flex-direction: column;\n    border: 1px solid #404040;\n    background: linear-gradient(167deg, rgba(62, 62, 62, 0.2) 7.09%, rgba(62, 62, 62, 0) 55.03%), rgba(11, 11, 11, 0.8);\n    box-shadow:\n      0px 431px 121px 0px rgba(0, 0, 0, 0),\n      0px 276px 110px 0px rgba(0, 0, 0, 0.02),\n      0px 155px 93px 0px rgba(0, 0, 0, 0.07),\n      0px 69px 69px 0px rgba(0, 0, 0, 0.11),\n      0px 17px 38px 0px rgba(0, 0, 0, 0.13);\n\n    &.visible {\n      transform: translateX(0);\n    }\n  }\n\n  .side-panel-heading {\n    display: flex;\n    align-items: center;\n    line-height: 1;\n    font-size: 24px;\n    gap: 12px;\n    margin-bottom: 24px;\n\n    .side-panel-heading-back {\n      cursor: pointer;\n      transition: all 200ms ease;\n\n      &:hover {\n        opacity: 0.75;\n      }\n    }\n\n    .side-panel-heading-title {\n      color: #e5e5e5;\n      font-weight: 500;\n      font-family: 'Inter', sans-serif;\n    }\n\n    .side-panel-heading-close {\n      transition: all 200ms ease;\n      cursor: pointer;\n      margin-left: auto;\n\n      &:hover {\n        opacity: 0.75;\n      }\n    }\n  }\n\n  .side-panel-content {\n    flex: 1;\n    overflow-y: auto;\n  }\n}\n";

const SidePanel = /*@__PURE__*/ proxyCustomElement(class SidePanel extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.close = createEvent(this, "close");
        this.back = createEvent(this, "back");
        this.isOpen = false;
        this.isVisible = false;
        this.shouldAnimate = false;
        this.closeTimeout = null;
        this.ANIMATION_DURATION_MS = 300;
    }
    handleOpenChange(newValue) {
        if (newValue) {
            clearTimeout(this.closeTimeout);
            this.isVisible = true;
            requestAnimationFrame(() => {
                this.shouldAnimate = true;
            });
            return;
        }
        this.shouldAnimate = false;
        this.closeTimeout = setTimeout(() => {
            this.isVisible = false;
        }, this.ANIMATION_DURATION_MS);
    }
    disconnectedCallback() {
        clearTimeout(this.closeTimeout);
    }
    handleOverlayClick(event) {
        if (event.target === event.currentTarget) {
            this.close.emit();
        }
    }
    handleCloseClick(event) {
        event.preventDefault();
        this.close.emit();
    }
    handleBackClick(event) {
        event.preventDefault();
        this.back.emit();
    }
    render() {
        if (!this.isVisible) {
            return null;
        }
        return (h("div", { onClick: this.handleOverlayClick, class: classNames('side-panel-wrapper', {
                visible: this.shouldAnimate,
            }) }, h("div", { class: classNames('side-panel', { visible: this.shouldAnimate }, this.panelClassName) }, h("div", { class: "side-panel-heading" }, this.withBackButton && h("mvx-back-arrow-icon", { onClick: this.handleBackClick.bind(this), class: "side-panel-heading-back" }), h("div", { class: "side-panel-heading-title" }, this.panelTitle), h("mvx-close-icon", { class: "side-panel-heading-close", onClick: this.handleCloseClick.bind(this) })), h("div", { class: "side-panel-content" }, h("slot", null)))));
    }
    static get watchers() { return {
        "isOpen": ["handleOpenChange"]
    }; }
    static get style() { return sidePanelScss; }
}, [1, "mvx-side-panel", {
        "isOpen": [4, "is-open"],
        "panelClassName": [1, "panel-class-name"],
        "panelTitle": [1, "panel-title"],
        "withBackButton": [4, "with-back-button"],
        "isVisible": [32],
        "shouldAnimate": [32]
    }, undefined, {
        "isOpen": ["handleOpenChange"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-side-panel", "mvx-back-arrow-icon", "mvx-close-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-side-panel":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SidePanel);
            }
            break;
        case "mvx-back-arrow-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-close-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { SidePanel as S, defineCustomElement as d };
//# sourceMappingURL=p-BWYxoN3R.js.map

//# sourceMappingURL=p-BWYxoN3R.js.map