import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { e as faLayerGroup } from './p-LoDd7cPH.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { d as defineCustomElement$3 } from './p-vev_v1Xr.js';
import { d as defineCustomElement$2 } from './p-2EAIMxwa.js';
import { d as defineCustomElement$1 } from './p-D9RWExgf.js';

const transactionValueCss = ".transaction-action {\n  .transaction-nft-badge {\n    margin: 0 0.25rem auto auto;\n  }\n}\n\n.transaction-action-content {\n  align-items: center;\n  display: flex;\n}\n\n.transaction-value, .transaction-value-content {\n  align-items: center;\n  display: flex;\n  gap: 0.25rem;\n}\n\n.transaction-value-img {\n  width: 1.5rem;\n  height: 1.5rem;\n  min-width: 1.5rem;\n  min-height: 1.5rem;\n  color: transparent;\n  border-radius: 50%;\n  overflow: hidden;\n  border: 1px solid #dee2e6;\n}\n\n.badge {\n  display: inline-block;\n  padding: 0.25em 0.4em;\n  font-size: 75%;\n  font-weight: 700;\n  line-height: 1;\n  text-align: center;\n  white-space: pre-wrap;\n  word-break: break-all;\n  vertical-align: baseline;\n  border-radius: 0.25rem;\n  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;\n  width: max-content;\n}\n\n@media (prefers-reduced-motion: reduce) {\n  .badge {\n    transition: none;\n  }\n}\n\n.badge-pill {\n  padding-right: 0.6em;\n  padding-left: 0.6em;\n  border-radius: 10rem;\n}\n\n.badge-primary {\n  color: #fff;\n  background-color: #007bff;\n}\n\n.badge-secondary {\n  color: #fff;\n  background-color: #6c757d;\n}\n\n.badge-danger {\n  color: #fff;\n  background-color: #dc3545;\n}\n\n.badge-light {\n  color: #212529;\n  background-color: #f8f9fa;\n}\n\n.text-truncate {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n\n.text-capitalize {\n  text-transform: capitalize;\n}\n\n.text-white {\n  color: #fff;\n}\n";

const TransactionValue = /*@__PURE__*/ proxyCustomElement(class TransactionValue extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        var _a;
        return (h("div", { key: '5357edac7aef3c685454c174bc13c01d3be0520c', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '7db6515d8b5e87a8b8e8bf828628a1ff70c1de6c', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("mvx-format-amount", { key: '27f31aada5d98ed569e399326f9d84f171ee177f', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("mvx-explorer-link", { key: 'afb3e40dad7d40f211c36e4d52e51ed3f781393e', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '7fd6abf5521af0446e2ad4e59efd3095d9750a79', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: '3fbea2f24f87928b9ecebed02e25c36f7c1637fe', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: '5a9e3548fb7f33401ed357748a79cc86a3707afd', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("mvx-fa-icon", { key: '305d2a08ce43e38d6cfb9352c9dc761ee981406b', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get style() { return transactionValueCss; }
}, [0, "mvx-transaction-value", {
        "class": [1],
        "value": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-value", "mvx-explorer-link", "mvx-fa-icon", "mvx-format-amount"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-value":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionValue);
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-format-amount":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionValue as T, defineCustomElement as d };
//# sourceMappingURL=p-CB2B9lE5.js.map

//# sourceMappingURL=p-CB2B9lE5.js.map