import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { d as defineCustomElement$4 } from './p-DMSFrEEJ.js';
import { d as defineCustomElement$3 } from './p-C7hcaz0W.js';
import { d as defineCustomElement$2 } from './p-2EAIMxwa.js';
import { d as defineCustomElement$1 } from './p-CwbHD16e.js';

const transactionListItemScss = ".transaction-item {\n  display: flex;\n  align-items: center;\n  padding: 20px 16px;\n  gap: 16px;\n  background: var(--mx-tx-bg-transparent);\n  border-radius: 8px;\n}\n\n.transaction-icon {\n  width: 40px;\n  height: 40px;\n  border-radius: 50%;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-shrink: 0;\n  overflow: hidden;\n\n  .icon-image {\n    width: 100%;\n    height: 100%;\n    object-fit: cover;\n  }\n\n  .icon-text {\n    font-size: 1.25rem;\n    color: var(--mx-tx-text-primary);\n    width: 40px;\n    height: 40px;\n\n    .svg-inline--fa {\n      width: 40px;\n      height: 40px;\n    }\n  }\n}\n\n.transaction-details {\n  flex: 1;\n  min-width: 0;\n}\n\n.transaction-details-header {\n  display: flex;\n  align-items: center;\n  justify-content: space-between;\n}\n\n.transaction-title {\n  font-size: 16px;\n  font-style: normal;\n  font-weight: 500;\n  line-height: 24px;\n  letter-spacing: -0.16px;\n  color: var(--mx-tx-text-primary);\n  margin: 0;\n}\n\n.transaction-details-info {\n  display: flex;\n  align-items: center;\n  gap: 0.5rem;\n  font-size: 14px;\n  font-style: normal;\n  font-weight: 500;\n  line-height: 16px;\n  letter-spacing: -0.14px;\n  color: var(--mx-tx-text-secondary);\n}\n\n.transaction-details-info-text {\n  color: var(--mx-tx-text-secondary);\n  font-size: 16px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 16px;\n  letter-spacing: -0.14px;\n  max-width: 250px;\n\n  span {\n    color: var(--mx-tx-text-secondary);\n    font-size: 16px;\n    font-style: normal;\n    font-weight: 400;\n    line-height: 16px;\n    letter-spacing: -0.14px;\n  }\n\n  .trim-wrapper {\n    display: flex;\n    align-items: center;\n    gap: 0.25rem;\n  }\n\n  .left,\n  .right {\n    color: var(--mx-tx-text-secondary);\n    margin-top: 4px;\n    font-style: normal;\n    font-weight: 400;\n    line-height: 16px;\n    letter-spacing: -0.14px;\n  }\n\n  .ellipsis {\n    color: var(--mx-tx-text-secondary);\n    font-size: 16px;\n    font-style: normal;\n    font-weight: 400;\n    line-height: 16px;\n    letter-spacing: -0.14px;\n  }\n}\n\n.transaction-details-info-icon {\n  border-radius: 50%;\n  width: 16px;\n  height: 16px;\n\n  img {\n    border-radius: 50%;\n    width: 16px;\n    height: 16px;\n  }\n}\n\n.transaction-right {\n  display: flex;\n  align-items: flex-start;\n  margin-left: auto;\n}\n\n.transaction-amount {\n  font-size: 16px;\n  font-style: normal;\n  font-weight: 500;\n  line-height: 24px;\n  letter-spacing: -0.16px;\n  white-space: nowrap;\n  text-align: right;\n  color: var(--mx-tx-text-primary);\n}\n\n.asset-container {\n  display: flex;\n  align-items: center;\n}\n\n.asset {\n  width: 1.75rem;\n  height: 1.75rem;\n  border-radius: 50%;\n  background-color: var(--mx-dapp-core-bg-secondary, #f3f4f6);\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  margin-left: -0.5rem;\n  border: 2px solid var(--mx-dapp-core-bg-primary, white);\n  overflow: hidden;\n\n  &:first-child {\n    margin-left: 0;\n  }\n\n  .asset-image {\n    width: 100%;\n    height: 100%;\n    object-fit: cover;\n  }\n}\n\n.asset-more {\n  background-color: var(--mx-dapp-core-color-indigo, #5045e4);\n  font-weight: 600;\n  color: white;\n}\n";

const TransactionListItem = /*@__PURE__*/ proxyCustomElement(class TransactionListItem extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    renderPrimaryIcon() {
        if (!this.transaction.asset) {
            return h("mvx-default-transaction-icon-large", null);
        }
        if (this.transaction.asset.imageUrl) {
            return h("img", { src: this.transaction.asset.imageUrl, alt: "Transaction icon", class: "icon-image", loading: "lazy" });
        }
        if (this.transaction.asset.icon) {
            return h("mvx-fa-icon", { icon: this.transaction.asset.icon, class: "icon-text" });
        }
        if (this.transaction.asset.text) {
            return h("span", { class: "icon-text" }, this.transaction.asset.text);
        }
        return h("mvx-default-transaction-icon-large", null);
    }
    renderDetails() {
        return (h("div", { class: "transaction-details-info" }, this.transaction.directionLabel && h("span", { class: "transaction-details-info-text" }, this.transaction.directionLabel), h("div", { class: "transaction-details-info-icon" }, this.transaction.interactorAsset ? h("img", { src: this.transaction.interactorAsset, alt: "Service icon", loading: "lazy" }) : h("mvx-default-transaction-icon-small", null)), h("mvx-trim-text", { text: this.transaction.interactor, class: "transaction-details-info-text" })));
    }
    render() {
        if (!this.transaction) {
            return null;
        }
        return (h("div", { class: "transaction-item" }, h("div", { class: "transaction-icon" }, this.renderPrimaryIcon()), h("div", { class: "transaction-details" }, h("div", { class: "transaction-details-header" }, h("h4", { class: "transaction-title" }, this.transaction.action.name), this.transaction.amount && (h("div", { class: {
                'transaction-amount': true,
                'amount-negative': this.transaction.amount.startsWith('-'),
                'amount-positive': !this.transaction.amount.startsWith('-'),
            } }, this.transaction.amount))), this.renderDetails())));
    }
    static get style() { return transactionListItemScss; }
}, [0, "mvx-transaction-list-item", {
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-list-item", "mvx-default-transaction-icon-large", "mvx-default-transaction-icon-small", "mvx-fa-icon", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-list-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionListItem);
            }
            break;
        case "mvx-default-transaction-icon-large":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-default-transaction-icon-small":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionListItem as T, defineCustomElement as d };
//# sourceMappingURL=p-CXj-MOnE.js.map

//# sourceMappingURL=p-CXj-MOnE.js.map