import { h, p as proxyCustomElement, H, F as Fragment } from './p-FAOyWG8K.js';
import { P as ProviderTypeEnum, d as defineCustomElement$3 } from './p-Z4sMg4la.js';
import { d as defineCustomElement$9 } from './p-c3G5ZDnd.js';
import { d as defineCustomElement$8 } from './p-Bjk1BWwD.js';
import { d as defineCustomElement$7 } from './p-DcCmmmJu.js';
import { d as defineCustomElement$6 } from './p-DwYZUmeQ.js';
import { d as defineCustomElement$5 } from './p-B0iWKDlO.js';
import { d as defineCustomElement$4 } from './p-Cu3dIAph.js';
import { d as defineCustomElement$2 } from './p-RG_8QjHQ.js';
import { d as defineCustomElement$1 } from './p-QeyurKcV.js';

const providerButtonScss = ".provider-button{display:flex}";

var ProviderButtonLabelsEnum;
(function (ProviderButtonLabelsEnum) {
    ProviderButtonLabelsEnum["extension"] = "MultiversX Wallet Extension";
    ProviderButtonLabelsEnum["metamask"] = "MetaMask Snap";
    ProviderButtonLabelsEnum["passkey"] = "Passkey";
    ProviderButtonLabelsEnum["xportal"] = "xPortal Wallet";
    ProviderButtonLabelsEnum["ledger"] = "Ledger";
    ProviderButtonLabelsEnum["wallet"] = "MultiversX Web Wallet";
    ProviderButtonLabelsEnum["xalias"] = "Google (xAlias)";
})(ProviderButtonLabelsEnum || (ProviderButtonLabelsEnum = {}));
const providerButtonInfo = {
    [ProviderTypeEnum.extension]: {
        icon: h("mvx-extension-provider-icon", null),
        label: ProviderButtonLabelsEnum.extension,
    },
    [ProviderTypeEnum.metamask]: {
        icon: h("mvx-metamask-provider-icon", null),
        label: ProviderButtonLabelsEnum.metamask,
    },
    [ProviderTypeEnum.passkey]: {
        icon: h("mvx-passkey-provider-icon", null),
        label: ProviderButtonLabelsEnum.passkey,
    },
    [ProviderTypeEnum.walletConnect]: {
        icon: h("mvx-multiversx-logo-icon", null),
        label: ProviderButtonLabelsEnum.xportal,
    },
    [ProviderTypeEnum.ledger]: {
        icon: h("mvx-ledger-provider-icon", null),
        label: ProviderButtonLabelsEnum.ledger,
    },
    [ProviderTypeEnum.crossWindow]: {
        icon: h("mvx-wallet-provider-icon", null),
        label: ProviderButtonLabelsEnum.wallet,
    },
    [ProviderTypeEnum.xalias]: {
        icon: h("mvx-xalias-provider-icon", null),
        label: ProviderButtonLabelsEnum.xalias,
    },
};
const ProviderButton = /*@__PURE__*/ proxyCustomElement(class ProviderButton extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const walletInfo = this.type ? providerButtonInfo[this.type] : null;
        if (!walletInfo) {
            return h(Fragment, null);
        }
        return h("mvx-unlock-button", { icon: walletInfo.icon, label: walletInfo.label, type: this.type, class: this.class });
    }
    static get style() { return providerButtonScss; }
}, [0, "mvx-provider-button", {
        "type": [1],
        "class": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-provider-button", "mvx-arrow-up-right-icon", "mvx-extension-provider-icon", "mvx-ledger-provider-icon", "mvx-metamask-provider-icon", "mvx-multiversx-logo-icon", "mvx-passkey-provider-icon", "mvx-unlock-button", "mvx-wallet-provider-icon", "mvx-xalias-provider-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-provider-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ProviderButton);
            }
            break;
        case "mvx-arrow-up-right-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "mvx-extension-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "mvx-ledger-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "mvx-metamask-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-multiversx-logo-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-passkey-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-unlock-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-wallet-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-xalias-provider-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { ProviderButton as P, defineCustomElement as d };
//# sourceMappingURL=p-Cldmil_T.js.map

//# sourceMappingURL=p-Cldmil_T.js.map