import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';

const formatAmountCss = ".format-amount{align-items:center}.int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit;margin-left:0.25rem}";

const FormatAmount = /*@__PURE__*/ proxyCustomElement(class FormatAmount extends H {
    constructor() {
        super();
        this.__registerHost();
        this.showLabel = true;
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    renderInvalid() {
        var _a;
        return (h("span", { "data-testid": (_a = this.dataTestId) !== null && _a !== void 0 ? _a : DataTestIdsEnum.formatAmountComponent, class: this.class }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, "...")));
    }
    renderValid() {
        return (h("span", { "data-testid": this.dataTestId, class: classNames(this.class, 'format-amount') }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, this.valueInteger), this.valueDecimal && (h("span", { class: "decimals", "data-testid": DataTestIdsEnum.formatAmountDecimals }, this.valueDecimal)), this.showLabel && this.label && (h("span", { class: {
                symbol: true,
                [this.labelClass]: Boolean(this.labelClass),
            }, "data-testid": DataTestIdsEnum.formatAmountSymbol }, this.label))));
    }
    static get style() { return formatAmountCss; }
}, [0, "mvx-format-amount", {
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "isValid": [4, "is-valid"],
        "label": [1],
        "labelClass": [1, "label-class"],
        "showLabel": [4, "show-label"],
        "valueDecimal": [1, "value-decimal"],
        "valueInteger": [1, "value-integer"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-format-amount"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-format-amount":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FormatAmount);
            }
            break;
    } });
}

export { FormatAmount as F, defineCustomElement as d };
//# sourceMappingURL=p-D9RWExgf.js.map

//# sourceMappingURL=p-D9RWExgf.js.map