import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes, c as faCheck, d as faHourglass } from './p-LoDd7cPH.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { d as defineCustomElement$4 } from './p-C61O5PTR.js';
import { d as defineCustomElement$3 } from './p-vev_v1Xr.js';
import { d as defineCustomElement$2 } from './p-2EAIMxwa.js';
import { d as defineCustomElement$1 } from './p-CwbHD16e.js';

const transactionToastDetailsBodyCss = ".transaction-details-list-item{display:flex;align-items:center;gap:12px;align-self:stretch}.transaction-details-list-item-icon{width:24px;height:24px;border-radius:50%;display:flex;align-items:center;justify-content:center}.transaction-details-list-item-icon svg,.transaction-details-list-item-icon .svg-inline--fa{width:12px;height:12px}.transaction-details-list-item-icon-success{background-color:#2B6C39}.transaction-details-list-item-icon-success svg,.transaction-details-list-item-icon-success .svg-inline--fa{color:#6AD788}.transaction-details-list-item-icon-pending{background-color:#453412}.transaction-details-list-item-icon-pending svg,.transaction-details-list-item-icon-pending .svg-inline--fa{color:#FACC15}.transaction-details-list-item-icon-fail{background-color:var(--mx-toast-error-bg)}.transaction-details-list-item-icon-fail svg,.transaction-details-list-item-icon-fail .svg-inline--fa{color:var(--mx-toast-error-icon)}.transaction-details-list-item-hash-index{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:12px;font-style:normal;font-weight:400}.transaction-details-list-item-hash-value{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:12px;font-style:normal;font-weight:400;max-width:220px;width:100%}.transaction-details-list-item-copy-button-icon .svg-inline--fa{color:var(--mx-tx-text-primary);width:12px;height:12px}.transaction-details-list-item-explorer-link-icon .svg-inline--fa{color:var(--mx-tx-text-secondary);width:12px;height:12px}";

const iconData = {
    pending: faHourglass,
    success: faCheck,
    fail: faTimes,
    invalid: faTimes,
};
const TransactionDetailsBody = /*@__PURE__*/ proxyCustomElement(class TransactionDetailsBody extends H {
    constructor() {
        super();
        this.__registerHost();
        this.transactionClass = 'transaction-details-list-item';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? getIconHtmlFromIconDefinition(statusIcon) : null;
        return (h("div", { class: this.transactionClass, key: this.hash, "data-testid": DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (h("div", { key: 'e18daed8eb2ae919cefdb42feeafbb90aabce6c2', innerHTML: iconHtml, class: {
                'transaction-details-list-item-icon': true,
                'transaction-details-list-item-icon-success': this.status === 'success',
                'transaction-details-list-item-icon-pending': this.status === 'pending',
                'transaction-details-list-item-icon-fail': ['fail', 'invalid'].includes(this.status),
            } })), h("div", { key: '1e3c8f53053e79ca33c8ec5469ffb399a1755306', class: "transaction-details-list-item-hash-index" }, this.index), h("div", { key: 'a88fd21f1a88c859a748ff0ee8cce5c6b87de722', class: "transaction-details-list-item-hash-value" }, h("mvx-trim-text", { key: '0b10be033ab81765329618e9b8bc1c8dd9c335d0', text: this.hash })), h("mvx-explorer-link", { key: 'e78938533c1d3d9196f122e27167b3f9f0efd129', iconClass: "transaction-details-list-item-explorer-link-icon", link: this.link }), h("mvx-copy-button", { key: 'c2af13986f41865d793f2ea40326e4abd4d6ced3', iconClass: "transaction-details-list-item-copy-button-icon", text: this.hash })));
    }
    static get style() { return transactionToastDetailsBodyCss; }
}, [0, "mvx-transaction-toast-details-body", {
        "transactionClass": [1, "transaction-class"],
        "status": [1],
        "hash": [1],
        "link": [1],
        "index": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-toast-details-body", "mvx-copy-button", "mvx-explorer-link", "mvx-fa-icon", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDetailsBody);
            }
            break;
        case "mvx-copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionDetailsBody as T, defineCustomElement as d };
//# sourceMappingURL=p-DYrfw6qB.js.map

//# sourceMappingURL=p-DYrfw6qB.js.map