import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { f as faTimes } from './p-LoDd7cPH.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { d as defineCustomElement$7 } from './p-C61O5PTR.js';
import { d as defineCustomElement$6 } from './p-C7hcaz0W.js';
import { d as defineCustomElement$5 } from './p-vev_v1Xr.js';
import { d as defineCustomElement$4 } from './p-2EAIMxwa.js';
import { d as defineCustomElement$3 } from './p-BEiZUtYF.js';
import { d as defineCustomElement$2 } from './p-DYrfw6qB.js';
import { d as defineCustomElement$1 } from './p-CwbHD16e.js';

const transactionToastContentCss = ".transaction-toast-content-wrapper {\n  position: relative;\n  display: flex;\n  max-width: 400px;\n  padding: 12px;\n  flex-direction: column;\n  align-items: flex-start;\n  gap: 4px;\n  border-radius: 12px;\n  border: 0.5px solid var(--mx-tx-bg);\n  background: var(--mx-tx-bg);\n  backdrop-filter: blur(38px);\n  color: var(--mx-tx-text-primary);\n\n  .svg-inline--fa {\n    color: var(--mx-tx-text-primary);\n  }\n}\n\n.transaction-toast-content-wrapper.full-width {\n  max-width: 100%;\n}\n\n.transaction-toast-content {\n  display: flex;\n  align-items: flex-start;\n  gap: 12px;\n  align-self: stretch;\n}\n\n.transaction-toast-icon {\n  border-radius: 50%;\n  width: 20px;\n  height: 20px;\n\n  svg, img, .svg-inline--fa {\n    width: 20px;\n    height: 20px;\n    border-radius: 50%;\n  }\n}\n\n.transaction-toast-details {\n  display: flex;\n  flex-direction: column;\n  align-items: flex-start;\n  gap: 4px;\n  flex: 1 0 0;\n}\n\n.transaction-toast-details-header {\n  display: flex;\n  align-items: center;\n  gap: 12px;\n  align-self: stretch;\n  justify-content: space-between;\n  padding: 0;\n  padding: 0;\n}\n\n.transaction-toast-title {\n  color: var(--mx-tx-text-primary);\n  font-family: var(--font-family-roobert);\n  font-size: 16px;\n  font-size: 16px;\n  font-style: normal;\n  font-weight: 700;\n  line-height: 140%;\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  margin: 0;\n  max-width: 220px;\n}\n\n.transaction-toast-title-short {\n  max-width: 160px;\n}\n\n.transaction-toast-content-wrapper.full-width .transaction-toast-title {\n  max-width: 100%;\n}\n\n\n.transaction-toast-amount {\n  color: var(--mx-tx-text-primary);\n  font-family: var(--font-family-roobert);\n  font-size: 16px;\n  font-size: 16px;\n  font-style: normal;\n  font-weight: 400;\n  letter-spacing: -0.14px;\n}\n\n.transaction-toast-details-info {\n  display: flex;\n  align-items: flex-start;\n  gap: 4px;\n  align-self: stretch;\n}\n\n.transaction-toast-details-info-text {\n  color: var(--mx-tx-text-secondary);\n  font-family: var(--font-family-roobert);\n  font-size: 16px;\n  font-size: 16px;\n  font-style: normal;\n  font-weight: 400;\n  line-height: 16px;\n  letter-spacing: -0.14px;\n  max-width: 160px;\n}\n\n.transaction-toast-details-info-icon {\n  border-radius: 50%;\n  width: 16px;\n  height: 16px;\n\n  img {\n    border-radius: 50%;\n    width: 16px;\n    height: 16px;\n  }\n}\n\n.transaction-toast-action-button {\n  color: var(--mx-tx-text-primary);\n  display: flex;\n  width: 14px;\n  height: 14px;\n  flex-direction: column;\n  justify-content: center;\n  flex-shrink: 0;\n\n  .svg-inline--fa {\n    color: var(--mx-tx-text-primary);\n    text-align: center;\n    height: 14px;\n  }\n}";

const TransactionToastContent = /*@__PURE__*/ proxyCustomElement(class TransactionToastContent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.deleteToast = createEvent(this, "deleteToast");
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderPrimaryIcon() {
        var _a, _b;
        const transaction = (_a = this.transactions) === null || _a === void 0 ? void 0 : _a[0];
        if (!(transaction === null || transaction === void 0 ? void 0 : transaction.asset)) {
            return h("mvx-default-transaction-icon-small", null);
        }
        if (transaction.asset.imageUrl) {
            return h("img", { src: transaction.asset.imageUrl, alt: "Transaction icon", class: "transaction-toast-icon", loading: "lazy" });
        }
        if (transaction.asset.icon) {
            return h("mvx-fa-icon", { icon: transaction.asset.icon, class: "transaction-toast-icon" });
        }
        if (transaction.asset.text) {
            return h("span", { class: "transaction-toast-icon" }, transaction.asset.text);
        }
        if (this.toastDataState.icon) {
            return h("fa-icon", { icon: this.toastDataState.icon, class: `transaction-toast-icon ${(_b = this.toastDataState.iconClassName) !== null && _b !== void 0 ? _b : ''}` });
        }
        return h("mvx-default-transaction-icon-small", null);
    }
    renderDetails() {
        var _a;
        const transaction = (_a = this.transactions) === null || _a === void 0 ? void 0 : _a[0];
        if (!transaction) {
            return null;
        }
        return (h("div", { class: "transaction-toast-details-info" }, transaction.directionLabel && h("span", { class: "transaction-toast-details-info-text" }, transaction.directionLabel), h("div", { class: "transaction-toast-details-info-icon" }, transaction.interactorAsset ? h("img", { src: transaction.interactorAsset, alt: "Service icon", loading: "lazy" }) : h("mvx-default-transaction-icon-small", null)), h("mvx-trim-text", { text: transaction.interactor, class: "transaction-toast-details-info-text" })));
    }
    render() {
        var _a;
        const { title, hasCloseButton } = this.toastDataState;
        const transaction = this.transactions[0];
        const showAmount = this.transactions.length === 1 && (transaction === null || transaction === void 0 ? void 0 : transaction.amount);
        const showExplorerLinkButton = (transaction === null || transaction === void 0 ? void 0 : transaction.link) && this.transactions.length === 1;
        return (h("div", { key: '9c7236e5d02b6a879906faadcd8dd81bfbbe9fe6', class: {
                'transaction-toast-content-wrapper': true,
                'full-width': this.fullWidth,
            }, "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '700c883392dbd2f62a460bcf73ab7ae3d70a65cb', class: "transaction-toast-content" }, h("div", { key: 'd4c4586670d0d4dd3e53d8cf4b044be499717f1f', class: "transaction-toast-icon" }, this.renderPrimaryIcon()), h("div", { key: '1e522861bf95ca4701454e8f918bfeff052a2bf6', class: "transaction-toast-details" }, h("div", { key: '50d76d81e5b09652249280e50c7e93cd720d80ad', class: "transaction-toast-details-header" }, h("h4", { key: '4f744e83dc712068816c3aa5de391ac53c4ba695', class: {
                'transaction-toast-title': true,
                'transaction-toast-title-short': Boolean(showAmount),
            } }, title || ((_a = transaction === null || transaction === void 0 ? void 0 : transaction.action) === null || _a === void 0 ? void 0 : _a.name)), showAmount && h("div", { key: '545e6b77ff917b9944dea2ea46522e7a0e0b7f45', class: "transaction-toast-amount" }, transaction.amount)), this.renderDetails()), hasCloseButton && h("fa-icon", { key: 'f1a62e77a719d70a3ab19cf9a51cbfa311c58bd5', icon: faTimes, class: "transaction-toast-close-icon", onClick: this.handleDeleteToast.bind(this) }), !hasCloseButton && showExplorerLinkButton && h("mvx-explorer-link", { key: '29ab2e2995b11f00f2db904c2ea1b4fec2e76b40', link: transaction.link, class: "transaction-toast-action-button" })), !showExplorerLinkButton && h("mvx-transaction-toast-details", { key: 'dadae63217d4549656164a724b78f269052c0fb2', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })));
    }
    static get style() { return transactionToastContentCss; }
}, [0, "mvx-transaction-toast-content", {
        "transactions": [16],
        "toastDataState": [16, "toast-data-state"],
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "fullWidth": [4, "full-width"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-transaction-toast-content", "mvx-copy-button", "mvx-default-transaction-icon-small", "mvx-explorer-link", "mvx-fa-icon", "mvx-transaction-toast-details", "mvx-transaction-toast-details-body", "mvx-trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-transaction-toast-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastContent);
            }
            break;
        case "mvx-copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "mvx-default-transaction-icon-small":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "mvx-explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "mvx-fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "mvx-trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToastContent as T, defineCustomElement as d };
//# sourceMappingURL=p-HyUAo-dS.js.map

//# sourceMappingURL=p-HyUAo-dS.js.map