import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes } from './p-LoDd7cPH.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';

const customToastCss = ".toast-wrapper{position:relative;display:flex;width:315px;padding:12px;flex-direction:column;align-items:flex-start;gap:12px;border-radius:12px;border:0.5px solid var(--mx-tx-bg);background:var(--mx-tx-bg);backdrop-filter:blur(38px)}.icon-close{color:var(--mx-tx-text-primary);display:flex;width:20px;height:20px;flex-direction:column;justify-content:center;flex-shrink:0;background:none;border:none;padding:0;cursor:pointer;position:absolute;right:12px;top:12px}.icon-close .svg-inline--fa{color:var(--mx-tx-text-primary);text-align:center}.toast-body{display:flex;align-items:flex-start;gap:12px;align-self:stretch;width:100%}";

const CustomToast = /*@__PURE__*/ proxyCustomElement(class CustomToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.deleteToast = createEvent(this, "deleteToast");
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        return (h("div", { key: 'd512bd63085cc5b496ecf0a996d980896e0101b4', class: "toast-wrapper", "data-testid": DataTestIdsEnum.transactionToastContent }, h("button", { key: 'bf0f14fe596dbff8f0cdc630a7c3505d2d1f2d7f', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) }), h("div", { key: '730778bc35fe75f063fa43e536b5b8e6a1344ff2', class: "toast-body", ref: container => this.initializeToast(container) })));
    }
    initializeToast(container) {
        if (!container || container.hasChildNodes()) {
            return;
        }
        const customElement = this.toast.instantiateToastElement();
        if (!customElement) {
            return;
        }
        container.appendChild(customElement);
    }
    static get style() { return customToastCss; }
}, [0, "mvx-custom-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-custom-toast"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-custom-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CustomToast);
            }
            break;
    } });
}

export { CustomToast as C, defineCustomElement as d };
//# sourceMappingURL=p-s5ejtNm3.js.map

//# sourceMappingURL=p-s5ejtNm3.js.map