import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes } from './p-LoDd7cPH.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { g as getIconHtmlFromIconName } from './p-CzQ48r7E.js';

const simpleToastCss = ".content{position:relative;display:flex;width:315px;padding:12px;flex-direction:column;align-items:flex-start;gap:12px;border-radius:12px;border:0.5px solid var(--mx-tx-bg);background:var(--mx-tx-bg);backdrop-filter:blur(38px)}.content-left{display:flex;align-items:flex-start;gap:12px;align-self:stretch}.content-icon{border-radius:50%;width:20px;display:flex;align-items:center;justify-content:center;height:20px}.content-icon svg,.content-icon img,.content-icon .fa-icon .svg-inline--fa{width:16px;height:16px}.content-icon.success{color:var(--mx-toast-success-color);background:var(--mx-toast-success-bg)}.content-icon.warning{color:var(--mx-toast-pending-color);background:var(--mx-toast-pending-bg)}.content-icon.danger{color:var(--mx-toast-error-color);background:var(--mx-toast-error-bg)}.content-right{display:flex;flex-direction:column;align-items:flex-start;gap:4px;flex:1 0 0}.content-heading{display:flex;align-items:center;gap:12px;align-self:stretch;justify-content:space-between;line-height:16px}.content-heading-title{color:var(--mx-tx-text-primary);font-family:var(--font-family-roobert);font-size:16px;font-style:normal;font-weight:700;margin:0}.icon-close{color:var(--mx-tx-text-primary);display:flex;width:20px;height:20px;flex-direction:column;justify-content:center;flex-shrink:0;background:none;border:none;padding:0;cursor:pointer}.icon-close .svg-inline--fa{color:var(--mx-tx-text-primary);text-align:center}.subtitle{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:14px;font-style:normal;font-weight:400;line-height:14px;letter-spacing:-0.14px}.content-message{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:14px;font-style:normal;font-weight:400;line-height:16px;letter-spacing:-0.14px}.content-message.no-margin{margin-top:0}";

const SimpleToast = /*@__PURE__*/ proxyCustomElement(class SimpleToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.deleteToast = createEvent(this, "deleteToast");
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderIcon() {
        const { icon, iconClassName } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        if (!iconHtml) {
            return null;
        }
        return (h("div", { class: {
                'content-icon': true,
                [iconClassName]: Boolean(iconClassName),
            }, innerHTML: iconHtml }));
    }
    render() {
        const { title, message, subtitle } = this.toast;
        return (h("div", { key: 'fa6649674718b03d313fdab9f77bfc7a578450fc', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent, id: `toast-${this.toast.toastId}` }, h("div", { key: '8f1f5003b493ad830855e25d7c9da31ffe0289ae', class: "content-left" }, this.renderIcon(), h("div", { key: 'a63341f3d948084a1aedeb1460a9949516408e4c', class: "content-right" }, h("div", { key: '69695c1b79d63ae839b46f57be0a2966123a4d83', class: "content-heading" }, title && (h("h5", { key: '297e2d26ecd56680ae7a1238e01675a7daa5465c', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title)), h("button", { key: 'bfab7fad297891e924a48ae70ac976ad5de4ce76', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), subtitle && h("div", { key: 'a695525038d564ac98d39bd0de0a08bb55b9b271', class: "subtitle" }, subtitle), message && h("div", { key: '4ebd0995bf446eda74e010646155edbc2f76451b', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get style() { return simpleToastCss; }
}, [0, "mvx-simple-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-simple-toast"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-simple-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SimpleToast);
            }
            break;
    } });
}

export { SimpleToast as S, defineCustomElement as d };
//# sourceMappingURL=p-w_V7Id7x.js.map

//# sourceMappingURL=p-w_V7Id7x.js.map